
// Copyright 2012 Google Inc. All rights reserved.
(function(){

var data = {
"resource": {
  "version":"6",
  
  "macros":[{
      "function":"__e"
    },{
      "function":"__gas",
      "vtp_cookieDomain":"auto",
      "vtp_doubleClick":false,
      "vtp_setTrackerName":false,
      "vtp_useDebugVersion":false,
      "vtp_useHashAutoLink":false,
      "vtp_decorateFormsAutoLink":false,
      "vtp_enableLinkId":false,
      "vtp_enableEcommerce":false,
      "vtp_trackingId":"UA-19717297-1",
      "vtp_enableRecaptchaOption":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false
    },{
      "function":"__u",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__u",
      "vtp_component":"URL",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__u",
      "vtp_component":"HOST",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__u",
      "vtp_component":"PATH",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__f",
      "vtp_component":"URL"
    },{
      "function":"__e"
    }],
  "tags":[{
      "function":"__ua",
      "once_per_event":true,
      "vtp_overrideGaSettings":false,
      "vtp_trackType":"TRACK_PAGEVIEW",
      "vtp_gaSettings":["macro",1],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "tag_id":1
    },{
      "function":"__awct",
      "once_per_event":true,
      "vtp_enableConversionLinker":true,
      "vtp_conversionCookiePrefix":"_gcl",
      "vtp_conversionId":"976072333",
      "vtp_conversionLabel":"kNjBCNzT74IBEI3dttED",
      "vtp_url":["macro",2],
      "vtp_enableProductReportingCheckbox":true,
      "vtp_enableNewCustomerReportingCheckbox":false,
      "vtp_enableEnhancedConversionsCheckbox":false,
      "vtp_enableEnhancedConversionVariable":false,
      "vtp_enableRdpCheckbox":true,
      "vtp_enableTransportUrl":false,
      "tag_id":4
    },{
      "function":"__awct",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_enableConversionLinker":true,
      "vtp_enableProductReporting":false,
      "vtp_conversionValue":"260",
      "vtp_conversionCookiePrefix":"_gcl",
      "vtp_conversionId":"573766213",
      "vtp_conversionLabel":"qCmjCNKGyOIBEMX0y5EC",
      "vtp_rdp":false,
      "vtp_url":["macro",2],
      "vtp_enableProductReportingCheckbox":true,
      "vtp_enableNewCustomerReportingCheckbox":false,
      "vtp_enableEnhancedConversionsCheckbox":false,
      "vtp_enableEnhancedConversionVariable":false,
      "vtp_enableRdpCheckbox":true,
      "vtp_enableTransportUrl":false,
      "tag_id":11
    },{
      "function":"__html",
      "metadata":["map"],
      "consent":["list"],
      "once_per_event":true,
      "vtp_html":"\n\u003Cscript\u003E!function(b,e,f,g,a,c,d){b.fbq||(a=b.fbq=function(){a.callMethod?a.callMethod.apply(a,arguments):a.queue.push(arguments)},b._fbq||(b._fbq=a),a.push=a,a.loaded=!0,a.version=\"2.0\",a.queue=[],c=e.createElement(f),c.async=!0,c.src=g,d=e.getElementsByTagName(f)[0],d.parentNode.insertBefore(c,d))}(window,document,\"script\",\"https:\/\/connect.facebook.net\/en_US\/fbevents.js\");fbq(\"init\",\"1238006416535832\");fbq(\"track\",\"PageView\");\u003C\/script\u003E\n\u003Cnoscript\u003E\u003Cimg height=\"1\" width=\"1\" style=\"display:none\" src=\"https:\/\/www.facebook.com\/tr?id=1238006416535832\u0026amp;ev=PageView\u0026amp;noscript=1\"\u003E\u003C\/noscript\u003E\n",
      "vtp_supportDocumentWrite":true,
      "vtp_enableIframeMode":false,
      "vtp_enableEditJsMacroBehavior":false,
      "vtp_usePostscribe":true,
      "tag_id":2
    },{
      "function":"__html",
      "once_per_event":true,
      "vtp_html":"\n  \u003Cscript type=\"text\/javascript\" id=\"hs-script-loader\" async defer src=\"\/\/js.hs-scripts.com\/398634.js\"\u003E\u003C\/script\u003E\n",
      "vtp_supportDocumentWrite":true,
      "vtp_enableIframeMode":false,
      "vtp_enableEditJsMacroBehavior":false,
      "vtp_usePostscribe":true,
      "tag_id":3
    },{
      "function":"__html",
      "once_per_event":true,
      "vtp_html":"\n\u003Cscript\u003E(function(a,c,e,f,d,b){a.hj=a.hj||function(){(a.hj.q=a.hj.q||[]).push(arguments)};a._hjSettings={hjid:1320727,hjsv:6};d=c.getElementsByTagName(\"head\")[0];b=c.createElement(\"script\");b.async=1;b.src=e+a._hjSettings.hjid+f+a._hjSettings.hjsv;d.appendChild(b)})(window,document,\"https:\/\/static.hotjar.com\/c\/hotjar-\",\".js?sv\\x3d\");\u003C\/script\u003E",
      "vtp_supportDocumentWrite":true,
      "vtp_enableIframeMode":false,
      "vtp_enableEditJsMacroBehavior":false,
      "vtp_usePostscribe":true,
      "tag_id":5
    },{
      "function":"__html",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_html":"\u003Cscript type=\"text\/gtmscript\"\u003E_linkedin_partner_id=\"1231978\";window._linkedin_data_partner_ids=window._linkedin_data_partner_ids||[];window._linkedin_data_partner_ids.push(_linkedin_partner_id);\u003C\/script\u003E\u003Cscript type=\"text\/gtmscript\"\u003E(function(){var b=document.getElementsByTagName(\"script\")[0],a=document.createElement(\"script\");a.type=\"text\/javascript\";a.async=!0;a.src=\"https:\/\/snap.licdn.com\/li.lms-analytics\/insight.min.js\";b.parentNode.insertBefore(a,b)})();\u003C\/script\u003E\n\u003Cnoscript\u003E\n\u003Cimg height=\"1\" width=\"1\" style=\"display:none;\" alt=\"\" src=\"https:\/\/px.ads.linkedin.com\/collect\/?pid=1231978\u0026amp;fmt=gif\"\u003E\n\u003C\/noscript\u003E",
      "vtp_supportDocumentWrite":false,
      "vtp_enableIframeMode":false,
      "vtp_enableEditJsMacroBehavior":false,
      "tag_id":12
    }],
  "predicates":[{
      "function":"_eq",
      "arg0":["macro",0],
      "arg1":"gtm.js"
    },{
      "function":"_cn",
      "arg0":["macro",3],
      "arg1":"gracias"
    },{
      "function":"_eq",
      "arg0":["macro",0],
      "arg1":"gtm.dom"
    }],
  "rules":[
    [["if",0],["add",0,1,6]],
    [["if",0,1],["add",2]],
    [["if",2],["add",3,4,5]]]
},
"runtime":[]




};
/*

 Copyright The Closure Library Authors.
 SPDX-License-Identifier: Apache-2.0
*/
var aa,ba=function(a){var b=0;return function(){return b<a.length?{done:!1,value:a[b++]}:{done:!0}}},ca=function(a){var b="undefined"!=typeof Symbol&&Symbol.iterator&&a[Symbol.iterator];return b?b.call(a):{next:ba(a)}},da="function"==typeof Object.create?Object.create:function(a){var b=function(){};b.prototype=a;return new b},fa;
if("function"==typeof Object.setPrototypeOf)fa=Object.setPrototypeOf;else{var ha;a:{var ia={a:!0},ka={};try{ka.__proto__=ia;ha=ka.a;break a}catch(a){}ha=!1}fa=ha?function(a,b){a.__proto__=b;if(a.__proto__!==b)throw new TypeError(a+" is not extensible");return a}:null}
var la=fa,ma=function(a,b){a.prototype=da(b.prototype);a.prototype.constructor=a;if(la)la(a,b);else for(var c in b)if("prototype"!=c)if(Object.defineProperties){var d=Object.getOwnPropertyDescriptor(b,c);d&&Object.defineProperty(a,c,d)}else a[c]=b[c];a.di=b.prototype},na=this||self,ra=function(a){if(a&&a!=na)return oa(a.document);null===qa&&(qa=oa(na.document));return qa},sa=/^[\w+/_-]+[=]{0,2}$/,qa=null,oa=function(a){var b=a.querySelector&&a.querySelector("script[nonce]");if(b){var c=b.nonce||b.getAttribute("nonce");
if(c&&sa.test(c))return c}return""},ta=function(a){var b=typeof a;return"object"!=b?b:a?Array.isArray(a)?"array":b:"null"},ua=function(a,b){function c(){}c.prototype=b.prototype;a.di=b.prototype;a.prototype=new c;a.prototype.constructor=a;a.yi=function(d,e,f){for(var h=Array(arguments.length-2),k=2;k<arguments.length;k++)h[k-2]=arguments[k];return b.prototype[e].apply(d,h)}},wa=function(a){return a};var xa=function(){},ya=function(a){return"function"==typeof a},za=function(a){return"string"==typeof a},Ba=function(a){return"number"==typeof a&&!isNaN(a)},Ca=function(a){return"[object Array]"==Object.prototype.toString.call(Object(a))},Da=function(a,b){if(Array.prototype.indexOf){var c=a.indexOf(b);return"number"==typeof c?c:-1}for(var d=0;d<a.length;d++)if(a[d]===b)return d;return-1},Ea=function(a,b){if(a&&Ca(a))for(var c=0;c<a.length;c++)if(a[c]&&b(a[c]))return a[c]},Fa=function(a,b){if(!Ba(a)||
!Ba(b)||a>b)a=0,b=2147483647;return Math.floor(Math.random()*(b-a+1)+a)},Ia=function(a,b){for(var c=new Ha,d=0;d<a.length;d++)c.set(a[d],!0);for(var e=0;e<b.length;e++)if(c.get(b[e]))return!0;return!1},Ja=function(a,b){for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&b(c,a[c])},Ka=function(a){return!!a&&("[object Arguments]"==Object.prototype.toString.call(a)||Object.prototype.hasOwnProperty.call(a,"callee"))},La=function(a){return Math.round(Number(a))||0},Qa=function(a){return"false"==
String(a).toLowerCase()?!1:!!a},Ra=function(a){var b=[];if(Ca(a))for(var c=0;c<a.length;c++)b.push(String(a[c]));return b},Sa=function(a){return a?a.replace(/^\s+|\s+$/g,""):""},Ta=function(){return(new Date).getTime()},Ha=function(){this.prefix="gtm.";this.values={}};Ha.prototype.set=function(a,b){this.values[this.prefix+a]=b};Ha.prototype.get=function(a){return this.values[this.prefix+a]};
var Va=function(a,b,c){return a&&a.hasOwnProperty(b)?a[b]:c},Wa=function(a){var b=!1;return function(){if(!b)try{a()}catch(c){}b=!0}},$a=function(a,b){for(var c in b)b.hasOwnProperty(c)&&(a[c]=b[c])},bb=function(a){for(var b in a)if(a.hasOwnProperty(b))return!0;return!1},cb=function(a,b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]),c.push.apply(c,b[a[d]]||[]);return c},db=function(a,b){for(var c={},d=c,e=a.split("."),f=0;f<e.length-1;f++)d=d[e[f]]={};d[e[e.length-1]]=b;return c},eb=function(a){var b=
[];Ja(a,function(c,d){10>c.length&&d&&b.push(c)});return b.join(",")};/*
 jQuery v1.9.1 (c) 2005, 2012 jQuery Foundation, Inc. jquery.org/license. */
var fb=/\[object (Boolean|Number|String|Function|Array|Date|RegExp)\]/,gb=function(a){if(null==a)return String(a);var b=fb.exec(Object.prototype.toString.call(Object(a)));return b?b[1].toLowerCase():"object"},ib=function(a,b){return Object.prototype.hasOwnProperty.call(Object(a),b)},kb=function(a){if(!a||"object"!=gb(a)||a.nodeType||a==a.window)return!1;try{if(a.constructor&&!ib(a,"constructor")&&!ib(a.constructor.prototype,"isPrototypeOf"))return!1}catch(c){return!1}for(var b in a);return void 0===
b||ib(a,b)},g=function(a,b){var c=b||("array"==gb(a)?[]:{}),d;for(d in a)if(ib(a,d)){var e=a[d];"array"==gb(e)?("array"!=gb(c[d])&&(c[d]=[]),c[d]=g(e,c[d])):kb(e)?(kb(c[d])||(c[d]={}),c[d]=g(e,c[d])):c[d]=e}return c};var lb=function(a){if(void 0===a||Ca(a)||kb(a))return!0;switch(typeof a){case "boolean":case "number":case "string":case "function":return!0}return!1};var Lb;
var Mb=[],Nb=[],Ob=[],Pb=[],Qb=[],Rb={},Sb,Tb,Ub,Vb=function(a,b){var c=a["function"];if(!c)throw Error("Error: No function name given for function call.");var d=Rb[c],e={},f;for(f in a)a.hasOwnProperty(f)&&0===f.indexOf("vtp_")&&(d&&b&&b.Ze&&b.Ze(a[f]),e[void 0!==d?f:f.substr(4)]=a[f]);return void 0!==d?d(e):Lb(c,e,b)},Yb=function(a,b,c){c=c||[];var d={},e;for(e in a)a.hasOwnProperty(e)&&(d[e]=Wb(a[e],b,c));return d},Wb=function(a,b,c){if(Ca(a)){var d;switch(a[0]){case "function_id":return a[1];
case "list":d=[];for(var e=1;e<a.length;e++)d.push(Wb(a[e],b,c));return d;case "macro":var f=a[1];if(c[f])return;var h=Mb[f];if(!h||b.xd(h))return;c[f]=!0;try{var k=Yb(h,b,c);k.vtp_gtmEventId=b.id;d=Vb(k,b);Ub&&(d=Ub.Zg(d,k))}catch(y){b.nf&&b.nf(y,Number(f)),d=!1}c[f]=!1;return d;case "map":d={};for(var l=1;l<a.length;l+=2)d[Wb(a[l],b,c)]=Wb(a[l+1],b,c);return d;case "template":d=[];for(var q=!1,r=1;r<a.length;r++){var n=Wb(a[r],b,c);Tb&&(q=q||n===Tb.fc);d.push(n)}return Tb&&q?Tb.bh(d):d.join("");
case "escape":d=Wb(a[1],b,c);if(Tb&&Ca(a[1])&&"macro"===a[1][0]&&Tb.zh(a))return Tb.Qh(d);d=String(d);for(var t=2;t<a.length;t++)mb[a[t]]&&(d=mb[a[t]](d));return d;case "tag":var p=a[1];if(!Pb[p])throw Error("Unable to resolve tag reference "+p+".");return d={df:a[2],index:p};case "zb":var u={arg0:a[2],arg1:a[3],ignore_case:a[5]};u["function"]=a[1];var v=Zb(u,b,c),w=!!a[4];return w||2!==v?w!==(1===v):null;default:throw Error("Attempting to expand unknown Value type: "+a[0]+".");}}return a},Zb=function(a,
b,c){try{return Sb(Yb(a,b,c))}catch(d){JSON.stringify(a)}return 2};var $b=function(){var a=function(b){return{toString:function(){return b}}};return{Ff:a("consent"),Wd:a("convert_case_to"),Xd:a("convert_false_to"),Yd:a("convert_null_to"),Zd:a("convert_true_to"),$d:a("convert_undefined_to"),mi:a("debug_mode_metadata"),Na:a("function"),sg:a("instance_name"),ug:a("live_only"),vg:a("malware_disabled"),wg:a("metadata"),ri:a("original_activity_id"),si:a("original_vendor_template_id"),yg:a("once_per_event"),Pe:a("once_per_load"),Te:a("setup_tags"),Ue:a("tag_id"),Ve:a("teardown_tags")}}();var ac=null,dc=function(a){function b(n){for(var t=0;t<n.length;t++)d[n[t]]=!0}var c=[],d=[];ac=bc(a);for(var e=0;e<Nb.length;e++){var f=Nb[e],h=cc(f);if(h){for(var k=f.add||[],l=0;l<k.length;l++)c[k[l]]=!0;b(f.block||[])}else null===h&&b(f.block||[])}for(var q=[],r=0;r<Pb.length;r++)c[r]&&!d[r]&&(q[r]=!0);return q},cc=function(a){for(var b=a["if"]||[],c=0;c<b.length;c++){var d=ac(b[c]);if(0===d)return!1;if(2===d)return null}for(var e=a.unless||[],f=0;f<e.length;f++){var h=ac(e[f]);if(2===h)return null;
if(1===h)return!1}return!0},bc=function(a){var b=[];return function(c){void 0===b[c]&&(b[c]=Zb(Ob[c],a));return b[c]}};var ec={Zg:function(a,b){b[$b.Wd]&&"string"===typeof a&&(a=1==b[$b.Wd]?a.toLowerCase():a.toUpperCase());b.hasOwnProperty($b.Yd)&&null===a&&(a=b[$b.Yd]);b.hasOwnProperty($b.$d)&&void 0===a&&(a=b[$b.$d]);b.hasOwnProperty($b.Zd)&&!0===a&&(a=b[$b.Zd]);b.hasOwnProperty($b.Xd)&&!1===a&&(a=b[$b.Xd]);return a}};/*
 Copyright (c) 2014 Derek Brans, MIT license https://github.com/krux/postscribe/blob/master/LICENSE. Portions derived from simplehtmlparser, which is licensed under the Apache License, Version 2.0 */

var Dc,Ec=function(){};(function(){function a(k,l){k=k||"";l=l||{};for(var q in b)b.hasOwnProperty(q)&&(l.Ng&&(l["fix_"+q]=!0),l.ff=l.ff||l["fix_"+q]);var r={comment:/^\x3c!--/,endTag:/^<\//,atomicTag:/^<\s*(script|style|noscript|iframe|textarea)[\s\/>]/i,startTag:/^</,chars:/^[^<]/},n={comment:function(){var p=k.indexOf("--\x3e");if(0<=p)return{content:k.substr(4,p),length:p+3}},endTag:function(){var p=k.match(d);if(p)return{tagName:p[1],length:p[0].length}},atomicTag:function(){var p=n.startTag();
if(p){var u=k.slice(p.length);if(u.match(new RegExp("</\\s*"+p.tagName+"\\s*>","i"))){var v=u.match(new RegExp("([\\s\\S]*?)</\\s*"+p.tagName+"\\s*>","i"));if(v)return{tagName:p.tagName,aa:p.aa,content:v[1],length:v[0].length+p.length}}}},startTag:function(){var p=k.match(c);if(p){var u={};p[2].replace(e,function(v,w,y,x,z){var A=y||x||z||f.test(w)&&w||null,C=document.createElement("div");C.innerHTML=A;u[w]=C.textContent||C.innerText||A});return{tagName:p[1],aa:u,Lc:!!p[3],length:p[0].length}}},chars:function(){var p=
k.indexOf("<");return{length:0<=p?p:k.length}}},t=function(){for(var p in r)if(r[p].test(k)){var u=n[p]();return u?(u.type=u.type||p,u.text=k.substr(0,u.length),k=k.slice(u.length),u):null}};l.ff&&function(){var p=/^(AREA|BASE|BASEFONT|BR|COL|FRAME|HR|IMG|INPUT|ISINDEX|LINK|META|PARAM|EMBED)$/i,u=/^(COLGROUP|DD|DT|LI|OPTIONS|P|TD|TFOOT|TH|THEAD|TR)$/i,v=[];v.lf=function(){return this[this.length-1]};v.zd=function(C){var E=this.lf();return E&&E.tagName&&E.tagName.toUpperCase()===C.toUpperCase()};v.Yg=
function(C){for(var E=0,F;F=this[E];E++)if(F.tagName===C)return!0;return!1};var w=function(C){C&&"startTag"===C.type&&(C.Lc=p.test(C.tagName)||C.Lc);return C},y=t,x=function(){k="</"+v.pop().tagName+">"+k},z={startTag:function(C){var E=C.tagName;"TR"===E.toUpperCase()&&v.zd("TABLE")?(k="<TBODY>"+k,A()):l.Di&&u.test(E)&&v.Yg(E)?v.zd(E)?x():(k="</"+C.tagName+">"+k,A()):C.Lc||v.push(C)},endTag:function(C){v.lf()?l.kh&&!v.zd(C.tagName)?x():v.pop():l.kh&&(y(),A())}},A=function(){var C=k,E=w(y());k=C;if(E&&
z[E.type])z[E.type](E)};t=function(){A();return w(y())}}();return{append:function(p){k+=p},Vh:t,Ii:function(p){for(var u;(u=t())&&(!p[u.type]||!1!==p[u.type](u)););},clear:function(){var p=k;k="";return p},Ji:function(){return k},stack:[]}}var b=function(){var k={},l=this.document.createElement("div");l.innerHTML="<P><I></P></I>";k.Ni="<P><I></P></I>"!==l.innerHTML;l.innerHTML="<P><i><P></P></i></P>";k.Mi=2===l.childNodes.length;return k}(),c=/^<([\-A-Za-z0-9_]+)((?:\s+[\w\-]+(?:\s*=?\s*(?:(?:"[^"]*")|(?:'[^']*')|[^>\s]+))?)*)\s*(\/?)>/,
d=/^<\/([\-A-Za-z0-9_]+)[^>]*>/,e=/([\-A-Za-z0-9_]+)(?:\s*=\s*(?:(?:"((?:\\.|[^"])*)")|(?:'((?:\\.|[^'])*)')|([^>\s]+)))?/g,f=/^(checked|compact|declare|defer|disabled|ismap|multiple|nohref|noresize|noshade|nowrap|readonly|selected)$/i;a.supports=b;for(var h in b);Dc=a})();(function(){function a(){}function b(n){return void 0!==n&&null!==n}function c(n,t,p){var u,v=n&&n.length||0;for(u=0;u<v;u++)t.call(p,n[u],u)}function d(n,t,p){for(var u in n)n.hasOwnProperty(u)&&t.call(p,u,n[u])}function e(n,t){d(t,
function(p,u){n[p]=u});return n}function f(n,t){n=n||{};d(t,function(p,u){b(n[p])||(n[p]=u)});return n}function h(n){try{return q.call(n)}catch(p){var t=[];c(n,function(u){t.push(u)});return t}}var k={Fg:a,Gg:a,Hg:a,Ig:a,Og:a,Pg:function(n){return n},done:a,error:function(n){throw n;},Yh:!1},l=this;if(!l.postscribe){var q=Array.prototype.slice,r=function(){function n(p,u,v){var w="data-ps-"+u;if(2===arguments.length){var y=p.getAttribute(w);return b(y)?String(y):y}b(v)&&""!==v?p.setAttribute(w,v):
p.removeAttribute(w)}function t(p,u){var v=p.ownerDocument;e(this,{root:p,options:u,Rb:v.defaultView||v.parentWindow,gb:v,Bc:Dc("",{Ng:!0}),nd:[p],Jd:"",Kd:v.createElement(p.nodeName),Ob:[],Ra:[]});n(this.Kd,"proxyof",0)}t.prototype.write=function(){[].push.apply(this.Ra,arguments);for(var p;!this.sc&&this.Ra.length;)p=this.Ra.shift(),"function"===typeof p?this.Ug(p):this.Td(p)};t.prototype.Ug=function(p){var u={type:"function",value:p.name||p.toString()};this.Ed(u);p.call(this.Rb,this.gb);this.pf(u)};
t.prototype.Td=function(p){this.Bc.append(p);for(var u,v=[],w,y;(u=this.Bc.Vh())&&!(w=u&&"tagName"in u?!!~u.tagName.toLowerCase().indexOf("script"):!1)&&!(y=u&&"tagName"in u?!!~u.tagName.toLowerCase().indexOf("style"):!1);)v.push(u);this.ki(v);w&&this.sh(u);y&&this.th(u)};t.prototype.ki=function(p){var u=this.Rg(p);u.Xe&&(u.vd=this.Jd+u.Xe,this.Jd+=u.Th,this.Kd.innerHTML=u.vd,this.ii())};t.prototype.Rg=function(p){var u=this.nd.length,v=[],w=[],y=[];c(p,function(x){v.push(x.text);if(x.aa){if(!/^noscript$/i.test(x.tagName)){var z=
u++;w.push(x.text.replace(/(\/?>)/," data-ps-id="+z+" $1"));"ps-script"!==x.aa.id&&"ps-style"!==x.aa.id&&y.push("atomicTag"===x.type?"":"<"+x.tagName+" data-ps-proxyof="+z+(x.Lc?" />":">"))}}else w.push(x.text),y.push("endTag"===x.type?x.text:"")});return{Oi:p,raw:v.join(""),Xe:w.join(""),Th:y.join("")}};t.prototype.ii=function(){for(var p,u=[this.Kd];b(p=u.shift());){var v=1===p.nodeType;if(!v||!n(p,"proxyof")){v&&(this.nd[n(p,"id")]=p,n(p,"id",null));var w=p.parentNode&&n(p.parentNode,"proxyof");
w&&this.nd[w].appendChild(p)}u.unshift.apply(u,h(p.childNodes))}};t.prototype.sh=function(p){var u=this.Bc.clear();u&&this.Ra.unshift(u);p.src=p.aa.src||p.aa.vi;p.src&&this.Ob.length?this.sc=p:this.Ed(p);var v=this;this.ji(p,function(){v.pf(p)})};t.prototype.th=function(p){var u=this.Bc.clear();u&&this.Ra.unshift(u);p.type=p.aa.type||p.aa.TYPE||"text/css";this.li(p);u&&this.write()};t.prototype.li=function(p){var u=this.Tg(p);this.wh(u);p.content&&(u.styleSheet&&!u.sheet?u.styleSheet.cssText=p.content:
u.appendChild(this.gb.createTextNode(p.content)))};t.prototype.Tg=function(p){var u=this.gb.createElement(p.tagName);u.setAttribute("type",p.type);d(p.aa,function(v,w){u.setAttribute(v,w)});return u};t.prototype.wh=function(p){this.Td('<span id="ps-style"/>');var u=this.gb.getElementById("ps-style");u.parentNode.replaceChild(p,u)};t.prototype.Ed=function(p){p.Mh=this.Ra;this.Ra=[];this.Ob.unshift(p)};t.prototype.pf=function(p){p!==this.Ob[0]?this.options.error({message:"Bad script nesting or script finished twice"}):
(this.Ob.shift(),this.write.apply(this,p.Mh),!this.Ob.length&&this.sc&&(this.Ed(this.sc),this.sc=null))};t.prototype.ji=function(p,u){var v=this.Sg(p),w=this.ci(v),y=this.options.Fg;p.src&&(v.src=p.src,this.ai(v,w?y:function(){u();y()}));try{this.vh(v),p.src&&!w||u()}catch(x){this.options.error(x),u()}};t.prototype.Sg=function(p){var u=this.gb.createElement(p.tagName);d(p.aa,function(v,w){u.setAttribute(v,w)});p.content&&(u.text=p.content);return u};t.prototype.vh=function(p){this.Td('<span id="ps-script"/>');
var u=this.gb.getElementById("ps-script");u.parentNode.replaceChild(p,u)};t.prototype.ai=function(p,u){function v(){p=p.onload=p.onreadystatechange=p.onerror=null}var w=this.options.error;e(p,{onload:function(){v();u()},onreadystatechange:function(){/^(loaded|complete)$/.test(p.readyState)&&(v(),u())},onerror:function(){var y={message:"remote script failed "+p.src};v();w(y);u()}})};t.prototype.ci=function(p){return!/^script$/i.test(p.nodeName)||!!(this.options.Yh&&p.src&&p.hasAttribute("async"))};
return t}();l.postscribe=function(){function n(){var w=u.shift(),y;w&&(y=w[w.length-1],y.Gg(),w.stream=t.apply(null,w),y.Hg())}function t(w,y,x){function z(F){F=x.Pg(F);v.write(F);x.Ig(F)}v=new r(w,x);v.id=p++;v.name=x.name||v.id;var A=w.ownerDocument,C={close:A.close,open:A.open,write:A.write,writeln:A.writeln};e(A,{close:a,open:a,write:function(){return z(h(arguments).join(""))},writeln:function(){return z(h(arguments).join("")+"\n")}});var E=v.Rb.onerror||a;v.Rb.onerror=function(F,L,N){x.error({msg:F+
" - "+L+":"+N});E.apply(v.Rb,arguments)};v.write(y,function(){e(A,C);v.Rb.onerror=E;x.done();v=null;n()});return v}var p=0,u=[],v=null;return e(function(w,y,x){"function"===typeof x&&(x={done:x});x=f(x,k);w=/^#/.test(w)?l.document.getElementById(w.substr(1)):w.Fi?w[0]:w;var z=[w,y,x];w.Ph={cancel:function(){z.stream?z.stream.abort():z[1]=a}};x.Og(z);u.push(z);v||n();return w.Ph},{streams:{},Hi:u,xi:r})}();Ec=l.postscribe}})();var m={xb:"_ee",ld:"_syn",wi:"_uei",ed:"_eu",ui:"_pci",Tc:"event_callback",Zb:"event_timeout",fa:"gtag.config",Ja:"gtag.get",ma:"purchase",Xa:"refund",Ia:"begin_checkout",Va:"add_to_cart",Wa:"remove_from_cart",Pf:"view_cart",de:"add_to_wishlist",ya:"view_item",ce:"view_promotion",be:"select_promotion",Oc:"select_item",Vb:"view_item_list",ae:"add_payment_info",Of:"add_shipping_info",Ba:"value_key",Aa:"value_callback",ia:"allow_ad_personalization_signals",ad:"restricted_data_processing",ob:"allow_google_signals",
ja:"cookie_expires",Yb:"cookie_update",ub:"session_duration",oa:"user_properties",Ma:"transport_url",O:"ads_data_redaction",C:"ad_storage",I:"analytics_storage",Gf:"region",Hf:"wait_for_update"};m.Ge=[m.ma,m.Xa,m.Ia,m.Va,m.Wa,m.Pf,m.de,m.ya,m.ce,m.be,m.Vb,m.Oc,m.ae,m.Of];m.Fe=[m.ia,m.ob,m.Yb];m.He=[m.ja,m.Zb,m.ub];var Ic={},Jc=function(a,b){Ic[a]=Ic[a]||[];Ic[a][b]=!0},Kc=function(a){for(var b=[],c=Ic[a]||[],d=0;d<c.length;d++)c[d]&&(b[Math.floor(d/6)]^=1<<d%6);for(var e=0;e<b.length;e++)b[e]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_".charAt(b[e]||0);return b.join("")};var B=function(a){Jc("GTM",a)};function Lc(a){if(Error.captureStackTrace)Error.captureStackTrace(this,Lc);else{var b=Error().stack;b&&(this.stack=b)}a&&(this.message=String(a))}ua(Lc,Error);Lc.prototype.name="CustomError";var Mc=function(a,b){for(var c=a.split("%s"),d="",e=c.length-1,f=0;f<e;f++)d+=c[f]+(f<b.length?b[f]:"%s");Lc.call(this,d+c[e])};ua(Mc,Lc);Mc.prototype.name="AssertionError";var Nc=function(a,b){throw new Mc("Failure"+(a?": "+a:""),Array.prototype.slice.call(arguments,1));};var Oc=function(a,b){var c=function(){};c.prototype=a.prototype;var d=new c;a.apply(d,Array.prototype.slice.call(arguments,1));return d},Pc=function(a){var b=a;return function(){if(b){var c=b;b=null;c()}}};var Qc,Rc=function(){if(void 0===Qc){var a=null,b=na.trustedTypes;if(b&&b.createPolicy){try{a=b.createPolicy("goog#html",{createHTML:wa,createScript:wa,createScriptURL:wa})}catch(c){na.console&&na.console.error(c.message)}Qc=a}else Qc=a}return Qc};var Tc=function(a,b){this.m=b===Sc?a:""};Tc.prototype.toString=function(){return"TrustedResourceUrl{"+this.m+"}"};var Sc={};var Uc=/^(?:(?:https?|mailto|ftp):|[^:/?#]*(?:[/?#]|$))/i;var Vc;a:{var Wc=na.navigator;if(Wc){var Xc=Wc.userAgent;if(Xc){Vc=Xc;break a}}Vc=""}var Yc=function(a){return-1!=Vc.indexOf(a)};var $c=function(a,b,c){this.m=c===Zc?a:""};$c.prototype.toString=function(){return"SafeHtml{"+this.m+"}"};var ad=function(a){if(a instanceof $c&&a.constructor===$c)return a.m;Nc("expected object of type SafeHtml, got '"+a+"' of type "+ta(a));return"type_error:SafeHtml"},Zc={},bd=new $c(na.trustedTypes&&na.trustedTypes.emptyHTML||"",0,Zc);var dd={MATH:!0,SCRIPT:!0,STYLE:!0,SVG:!0,TEMPLATE:!0},ed=function(a){var b=!1,c;return function(){b||(c=a(),b=!0);return c}}(function(){if("undefined"===typeof document)return!1;var a=document.createElement("div"),b=document.createElement("div");b.appendChild(document.createElement("div"));a.appendChild(b);if(!a.firstChild)return!1;var c=a.firstChild.firstChild;a.innerHTML=ad(bd);return!c.parentElement}),fd=function(a,b){if(a.tagName&&dd[a.tagName.toUpperCase()])throw Error("goog.dom.safe.setInnerHtml cannot be used to set content of "+
a.tagName+".");if(ed())for(;a.lastChild;)a.removeChild(a.lastChild);a.innerHTML=ad(b)};var gd=function(a){var b=Rc(),c=b?b.createHTML(a):a;return new $c(c,null,Zc)};var D=window,G=document,hd=navigator,id=G.currentScript&&G.currentScript.src,jd=function(a,b){var c=D[a];D[a]=void 0===c?b:c;return D[a]},kd=function(a,b){b&&(a.addEventListener?a.onload=b:a.onreadystatechange=function(){a.readyState in{loaded:1,complete:1}&&(a.onreadystatechange=null,b())})},ld=function(a,b,c){var d=G.createElement("script");d.type="text/javascript";d.async=!0;var e,f=Rc(),h=f?f.createScriptURL(a):a;e=new Tc(h,Sc);var k;a:{try{var l=d&&d.ownerDocument,q=l&&(l.defaultView||l.parentWindow);
q=q||na;if(q.Element&&q.Location){k=q;break a}}catch(w){}k=null}if(k&&"undefined"!=typeof k.HTMLScriptElement&&(!d||!(d instanceof k.HTMLScriptElement)&&(d instanceof k.Location||d instanceof k.Element))){var r;var n=typeof d;if("object"==n&&null!=d||"function"==n)try{r=d.constructor.displayName||d.constructor.name||Object.prototype.toString.call(d)}catch(w){r="<object could not be stringified>"}else r=void 0===d?"undefined":null===d?"null":typeof d;Nc("Argument is not a %s (or a non-Element, non-Location mock); got: %s",
"HTMLScriptElement",r)}var t;e instanceof Tc&&e.constructor===Tc?t=e.m:(Nc("expected object of type TrustedResourceUrl, got '"+e+"' of type "+ta(e)),t="type_error:TrustedResourceUrl");d.src=t;var p=ra(d.ownerDocument&&d.ownerDocument.defaultView);p&&d.setAttribute("nonce",p);kd(d,b);c&&(d.onerror=c);var u=ra();u&&d.setAttribute("nonce",u);var v=G.getElementsByTagName("script")[0]||G.body||G.head;v.parentNode.insertBefore(d,v);return d},md=function(){if(id){var a=id.toLowerCase();if(0===a.indexOf("https://"))return 2;
if(0===a.indexOf("http://"))return 3}return 1},nd=function(a,b){var c=G.createElement("iframe");c.height="0";c.width="0";c.style.display="none";c.style.visibility="hidden";var d=G.body&&G.body.lastChild||G.body||G.head;d.parentNode.insertBefore(c,d);kd(c,b);void 0!==a&&(c.src=a);return c},od=function(a,b,c){var d=new Image(1,1);d.onload=function(){d.onload=null;b&&b()};d.onerror=function(){d.onerror=null;c&&c()};d.src=a;return d},pd=function(a,b,c,d){a.addEventListener?a.addEventListener(b,c,!!d):
a.attachEvent&&a.attachEvent("on"+b,c)},qd=function(a,b,c){a.removeEventListener?a.removeEventListener(b,c,!1):a.detachEvent&&a.detachEvent("on"+b,c)},H=function(a){D.setTimeout(a,0)},rd=function(a,b){return a&&b&&a.attributes&&a.attributes[b]?a.attributes[b].value:null},sd=function(a){var b=a.innerText||a.textContent||"";b&&" "!=b&&(b=b.replace(/^[\s\xa0]+|[\s\xa0]+$/g,""));b&&(b=b.replace(/(\xa0+|\s{2,}|\n|\r\t)/g," "));return b},td=function(a){var b=G.createElement("div");fd(b,gd("A<div>"+a+"</div>"));
b=b.lastChild;for(var c=[];b.firstChild;)c.push(b.removeChild(b.firstChild));return c},ud=function(a,b,c){c=c||100;for(var d={},e=0;e<b.length;e++)d[b[e]]=!0;for(var f=a,h=0;f&&h<=c;h++){if(d[String(f.tagName).toLowerCase()])return f;f=f.parentElement}return null},vd=function(a){hd.sendBeacon&&hd.sendBeacon(a)||od(a)},wd=function(a,b){var c=a[b];c&&"string"===typeof c.animVal&&(c=c.animVal);return c};var xd={},yd=function(a){return void 0==xd[a]?!1:xd[a]};var zd=[];function Ad(){var a=jd("google_tag_data",{});a.ics||(a.ics={entries:{},set:Bd,update:Cd,addListener:Dd,notifyListeners:Ed,active:!1});return a.ics}
function Bd(a,b,c,d,e,f){var h=Ad();h.active=!0;if(void 0!=b){var k=h.entries,l=k[a]||{},q=l.region,r=c&&za(c)?c.toUpperCase():void 0;d=d.toUpperCase();e=e.toUpperCase();if(r===e||(r===d?q!==e:!r&&!q)){var n=!!(f&&0<f&&void 0===l.update),t={region:r,initial:"granted"===b,update:l.update,quiet:n};k[a]=t;n&&D.setTimeout(function(){k[a]===t&&t.quiet&&(t.quiet=!1,Fd(a),Ed(),Jc("TAGGING",2))},f)}}}
function Cd(a,b){var c=Ad();c.active=!0;if(void 0!=b){var d=Gd(a),e=c.entries,f=e[a]=e[a]||{};f.update="granted"===b;var h=Gd(a);f.quiet?(f.quiet=!1,Fd(a)):h!==d&&Fd(a)}}function Dd(a,b){zd.push({af:a,lh:b})}function Fd(a){for(var b=0;b<zd.length;++b){var c=zd[b];Ca(c.af)&&-1!==c.af.indexOf(a)&&(c.sf=!0)}}function Ed(a){for(var b=0;b<zd.length;++b){var c=zd[b];if(c.sf){c.sf=!1;try{c.lh({$e:a})}catch(d){}}}}
var Gd=function(a){var b=Ad().entries[a]||{};return void 0!==b.update?b.update:void 0!==b.initial?b.initial:void 0},Hd=function(a){return!(Ad().entries[a]||{}).quiet},Id=function(){return yd("gtag_cs_api")?Ad().active:!1},Jd=function(a,b){Ad().addListener(a,b)},Kd=function(a,b){function c(){for(var e=0;e<b.length;e++)if(!Hd(b[e]))return!0;return!1}if(c()){var d=!1;Jd(b,function(e){d||c()||(d=!0,a(e))})}else a({})},Ld=function(a,b){if(!1===Gd(b)){var c=!1;Jd([b],function(d){!c&&Gd(b)&&(a(d),c=!0)})}};var Md=[m.C,m.I],Nd=function(a){var b=a[m.Gf];b&&B(40);var c=a[m.Hf];c&&B(41);for(var d=Ca(b)?b:[b],e=0;e<d.length;++e)for(var f=0;f<Md.length;f++){var h=Md[f],k=a[Md[f]],l=d[e];Ad().set(h,k,l,"HK","",c)}},Od=function(a,b){for(var c=0;c<Md.length;c++){var d=Md[c],e=a[Md[c]];Ad().update(d,e)}Ad().notifyListeners(b)},Pd=function(a){var b=Gd(a);return void 0!=b?b:!0},Qd=function(){for(var a=[],b=0;b<Md.length;b++){var c=Gd(Md[b]);a[b]=!0===c?"1":!1===c?"0":"-"}return"G1"+
a.join("")},Rd=function(a,b){Kd(a,b)};var Td=function(a){return Sd?G.querySelectorAll(a):null},Ud=function(a,b){if(!Sd)return null;if(Element.prototype.closest)try{return a.closest(b)}catch(e){return null}var c=Element.prototype.matches||Element.prototype.webkitMatchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector,d=a;if(!G.documentElement.contains(d))return null;do{try{if(c.call(d,b))return d}catch(e){break}d=d.parentElement||d.parentNode}while(null!==d&&1===d.nodeType);
return null},Yd=!1;if(G.querySelectorAll)try{var Zd=G.querySelectorAll(":root");Zd&&1==Zd.length&&Zd[0]==G.documentElement&&(Yd=!0)}catch(a){}var Sd=Yd;var $d=function(a){if(G.hidden)return!0;var b=a.getBoundingClientRect();if(b.top==b.bottom||b.left==b.right||!D.getComputedStyle)return!0;var c=D.getComputedStyle(a,null);if("hidden"===c.visibility)return!0;for(var d=a,e=c;d;){if("none"===e.display)return!0;var f=e.opacity,h=e.filter;if(h){var k=h.indexOf("opacity(");0<=k&&(h=h.substring(k+8,h.indexOf(")",k)),"%"==h.charAt(h.length-1)&&(h=h.substring(0,h.length-1)),f=Math.min(h,f))}if(void 0!==f&&0>=f)return!0;(d=d.parentElement)&&(e=D.getComputedStyle(d,
null))}return!1};var ie=/:[0-9]+$/,je=function(a,b,c){for(var d=a.split("&"),e=0;e<d.length;e++){var f=d[e].split("=");if(decodeURIComponent(f[0]).replace(/\+/g," ")===b){var h=f.slice(1).join("=");return c?h:decodeURIComponent(h).replace(/\+/g," ")}}},me=function(a,b,c,d,e){b&&(b=String(b).toLowerCase());if("protocol"===b||"port"===b)a.protocol=ke(a.protocol)||ke(D.location.protocol);"port"===b?a.port=String(Number(a.hostname?a.port:D.location.port)||("http"==a.protocol?80:"https"==a.protocol?443:"")):"host"===b&&
(a.hostname=(a.hostname||D.location.hostname).replace(ie,"").toLowerCase());return le(a,b,c,d,e)},le=function(a,b,c,d,e){var f,h=ke(a.protocol);b&&(b=String(b).toLowerCase());switch(b){case "url_no_fragment":f=ne(a);break;case "protocol":f=h;break;case "host":f=a.hostname.replace(ie,"").toLowerCase();if(c){var k=/^www\d*\./.exec(f);k&&k[0]&&(f=f.substr(k[0].length))}break;case "port":f=String(Number(a.port)||("http"==h?80:"https"==h?443:""));break;case "path":a.pathname||a.hostname||Jc("TAGGING",
1);f="/"==a.pathname.substr(0,1)?a.pathname:"/"+a.pathname;var l=f.split("/");0<=Da(d||[],l[l.length-1])&&(l[l.length-1]="");f=l.join("/");break;case "query":f=a.search.replace("?","");e&&(f=je(f,e,void 0));break;case "extension":var q=a.pathname.split(".");f=1<q.length?q[q.length-1]:"";f=f.split("/")[0];break;case "fragment":f=a.hash.replace("#","");break;default:f=a&&a.href}return f},ke=function(a){return a?a.replace(":","").toLowerCase():""},ne=function(a){var b="";if(a&&a.href){var c=a.href.indexOf("#");
b=0>c?a.href:a.href.substr(0,c)}return b},oe=function(a){var b=G.createElement("a");a&&(b.href=a);var c=b.pathname;"/"!==c[0]&&(a||Jc("TAGGING",1),c="/"+c);var d=b.hostname.replace(ie,"");return{href:b.href,protocol:b.protocol,host:b.host,hostname:d,pathname:c,search:b.search,hash:b.hash,port:b.port}},pe=function(a){function b(q){var r=q.split("=")[0];return 0>d.indexOf(r)?q:r+"=0"}function c(q){return q.split("&").map(b).filter(function(r){return void 0!=r}).join("&")}var d="gclid dclid gclaw gcldc gclgp gclha gclgf _gl".split(" "),
e=oe(a),f=a.split(/[?#]/)[0],h=e.search,k=e.hash;"?"===h[0]&&(h=h.substring(1));"#"===k[0]&&(k=k.substring(1));h=c(h);k=c(k);""!==h&&(h="?"+h);""!==k&&(k="#"+k);var l=""+f+h+k;"/"===l[l.length-1]&&(l=l.substring(0,l.length-1));return l};var qe=new RegExp(/[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,}/i),re=new RegExp(/support|noreply/i),se=["SCRIPT","IMG","SVG","PATH","BR"],te=["BR"];function ue(a){var b;if(a===G.body)b="body";else{var c;if(a.id)c="#"+a.id;else{var d;if(a.parentElement){var e;a:{var f=a.parentElement;if(f){for(var h=0;h<f.childElementCount;h++)if(f.children[h]===a){e=h+1;break a}e=-1}else e=1}d=ue(a.parentElement)+">:nth-child("+e+")"}else d="";c=d}b=c}return b}
var xe=function(){var a=!0;var b=a,c;var d=[],e=G.body;if(e){for(var f=e.querySelectorAll("*"),h=0;h<f.length&&1E4>h;h++){var k=f[h];if(!(0<=se.indexOf(k.tagName.toUpperCase()))){for(var l=!1,q=0;q<k.childElementCount&&1E4>q;q++)if(!(0<=te.indexOf(k.children[q].tagName.toUpperCase()))){l=!0;break}l||d.push(k)}}c={elements:d,status:1E4<f.length?"2":"1"}}else c=
{elements:d,status:"4"};for(var r=c,n=r.elements,t=[],p=0;p<n.length;p++){var u=n[p],v=u.textContent;u.value&&(v=u.value);if(v){var w=v.match(qe);if(w){var y=w[0],x;if(D.location){var z=le(D.location,"host",!0);x=0<=y.toLowerCase().indexOf(z)}else x=!1;x||t.push({element:u,Mc:y})}}}var A;for(var C=[],E=10<t.length?"3":r.status,F=0;F<t.length&&
10>F;F++){var L=t[F].element,N=t[F].Mc,V=!1;C.push({Mc:N,querySelector:ue(L),tagName:L.tagName,isVisible:!$d(L),type:1,zc:!!V})}return{elements:C,status:E}};var Le={},I=null,Me=Math.random();Le.D="GTM-5DPP66T";Le.kc="161";Le.oi="";Le.If="";var Ne={__cl:!0,__ecl:!0,__ehl:!0,__evl:!0,__fal:!0,__fil:!0,__fsl:!0,__hl:!0,__jel:!0,__lcl:!0,__sdl:!0,__tl:!0,__ytl:!0},Oe={__paused:!0,__tg:!0},Pe;for(Pe in Ne)Ne.hasOwnProperty(Pe)&&(Oe[Pe]=!0);var Qe="www.googletagmanager.com/gtm.js";
var Re=Qe,Se=Qa(""),Te=null,Ue=null,Ve="//www.googletagmanager.com/a?id="+Le.D+"&cv=6",We={},Xe={},Ye=function(){var a=I.sequence||1;I.sequence=a+1;return a};var Ze={},$e=new Ha,af={},bf={},ef={name:"dataLayer",set:function(a,b){g(db(a,b),af);cf()},get:function(a){return df(a,2)},reset:function(){$e=new Ha;af={};cf()}},df=function(a,b){return 2!=b?$e.get(a):ff(a)},ff=function(a){var b,c=a.split(".");b=b||[];for(var d=af,e=0;e<c.length;e++){if(null===d)return!1;if(void 0===d)break;d=d[c[e]];if(-1!==Da(b,d))return}return d},gf=function(a,b){bf.hasOwnProperty(a)||($e.set(a,b),g(db(a,b),af),cf())},cf=function(a){Ja(bf,function(b,c){$e.set(b,c);g(db(b,
void 0),af);g(db(b,c),af);a&&delete bf[b]})},hf=function(a,b,c){Ze[a]=Ze[a]||{};var d=1!==c?ff(b):$e.get(b);"array"===gb(d)||"object"===gb(d)?Ze[a][b]=g(d):Ze[a][b]=d},jf=function(a,b){if(Ze[a])return Ze[a][b]},kf=function(a,b){Ze[a]&&delete Ze[a][b]};var pf={},qf=function(a,b){if(D._gtmexpgrp&&D._gtmexpgrp.hasOwnProperty(a))return D._gtmexpgrp[a];void 0===pf[a]&&(pf[a]=Math.floor(Math.random()*b));return pf[a]};var rf=function(a){var b=1,c,d,e;if(a)for(b=0,d=a.length-1;0<=d;d--)e=a.charCodeAt(d),b=(b<<6&268435455)+e+(e<<14),c=b&266338304,b=0!=c?b^c>>21:b;return b};function sf(a,b,c){for(var d=[],e=b.split(";"),f=0;f<e.length;f++){var h=e[f].split("="),k=h[0].replace(/^\s*|\s*$/g,"");if(k&&k==a){var l=h.slice(1).join("=").replace(/^\s*|\s*$/g,"");l&&c&&(l=decodeURIComponent(l));d.push(l)}}return d};var uf=function(a,b,c,d){return tf(d)?sf(a,String(b||document.cookie),c):[]},xf=function(a,b,c,d,e){if(tf(e)){var f=vf(a,d,e);if(1===f.length)return f[0].id;if(0!==f.length){f=wf(f,function(h){return h.uc},b);if(1===f.length)return f[0].id;f=wf(f,function(h){return h.Lb},c);return f[0]?f[0].id:void 0}}};function yf(a,b,c,d){var e=document.cookie;document.cookie=a;var f=document.cookie;return e!=f||void 0!=c&&0<=uf(b,f,!1,d).indexOf(c)}
var Cf=function(a,b,c){function d(p,u,v){if(null==v)return delete h[u],p;h[u]=v;return p+"; "+u+"="+v}function e(p,u){if(null==u)return delete h[u],p;h[u]=!0;return p+"; "+u}if(!tf(c.va))return 2;var f;void 0==b?f=a+"=deleted; expires="+(new Date(0)).toUTCString():(c.encode&&(b=encodeURIComponent(b)),b=zf(b),f=a+"="+b);var h={};f=d(f,"path",c.path);var k;c.expires instanceof Date?k=c.expires.toUTCString():null!=c.expires&&(k=""+c.expires);f=d(f,"expires",k);f=d(f,"max-age",c.Gi);f=d(f,"samesite",
c.Ki);c.Li&&(f=e(f,"secure"));var l=c.domain;if("auto"===l){for(var q=Af(),r=0;r<q.length;++r){var n="none"!==q[r]?q[r]:void 0,t=d(f,"domain",n);t=e(t,c.flags);if(!Bf(n,c.path)&&yf(t,a,b,c.va))return 0}return 1}l&&"none"!==l&&(f=d(f,"domain",l));f=e(f,c.flags);return Bf(l,c.path)?1:yf(f,a,b,c.va)?0:1},Df=function(a,b,c){null==c.path&&(c.path="/");c.domain||(c.domain="auto");return Cf(a,b,c)};
function wf(a,b,c){for(var d=[],e=[],f,h=0;h<a.length;h++){var k=a[h],l=b(k);l===c?d.push(k):void 0===f||l<f?(e=[k],f=l):l===f&&e.push(k)}return 0<d.length?d:e}function vf(a,b,c){for(var d=[],e=uf(a,void 0,void 0,c),f=0;f<e.length;f++){var h=e[f].split("."),k=h.shift();if(!b||-1!==b.indexOf(k)){var l=h.shift();l&&(l=l.split("-"),d.push({id:h.join("."),uc:1*l[0]||1,Lb:1*l[1]||1}))}}return d}
var zf=function(a){a&&1200<a.length&&(a=a.substring(0,1200));return a},Ef=/^(www\.)?google(\.com?)?(\.[a-z]{2})?$/,Ff=/(^|\.)doubleclick\.net$/i,Bf=function(a,b){return Ff.test(document.location.hostname)||"/"===b&&Ef.test(a)},Af=function(){var a=[],b=document.location.hostname.split(".");if(4===b.length){var c=b[b.length-1];if(parseInt(c,10).toString()===c)return["none"]}for(var d=b.length-2;0<=d;d--)a.push(b.slice(d).join("."));var e=document.location.hostname;Ff.test(e)||Ef.test(e)||a.push("none");
return a},tf=function(a){if(!yd("gtag_cs_api")||!a||!Id())return!0;if(!Hd(a))return!1;var b=Gd(a);return null==b?!0:!!b};var Gf=function(){for(var a=hd.userAgent+(G.cookie||"")+(G.referrer||""),b=a.length,c=D.history.length;0<c;)a+=c--^b++;return[Math.round(2147483647*Math.random())^rf(a)&2147483647,Math.round(Ta()/1E3)].join(".")},Jf=function(a,b,c,d,e){var f=Hf(b);return xf(a,f,If(c),d,e)},Kf=function(a,b,c,d){var e=""+Hf(c),f=If(d);1<f&&(e+="-"+f);return[b,e,a].join(".")},Hf=function(a){if(!a)return 1;a=0===a.indexOf(".")?a.substr(1):a;return a.split(".").length},If=function(a){if(!a||"/"===a)return 1;"/"!==a[0]&&
(a="/"+a);"/"!==a[a.length-1]&&(a+="/");return a.split("/").length-1};function Lf(a,b,c){var d,e=a.Kb;null==e&&(e=7776E3);0!==e&&(d=new Date((b||Ta())+1E3*e));return{path:a.path,domain:a.domain,flags:a.flags,encode:!!c,expires:d}};var Mf=["1"],Nf={},Rf=function(a){var b=Of(a.prefix);Nf[b]||Pf(b,a.path,a.domain)||(Qf(b,Gf(),a),Pf(b,a.path,a.domain))};function Qf(a,b,c){var d=Kf(b,"1",c.domain,c.path),e=Lf(c);e.va="ad_storage";Df(a,d,e)}function Pf(a,b,c){var d=Jf(a,b,c,Mf,"ad_storage");d&&(Nf[a]=d);return d}function Of(a){return(a||"_gcl")+"_au"};function Sf(){for(var a=Tf,b={},c=0;c<a.length;++c)b[a[c]]=c;return b}function Uf(){var a="ABCDEFGHIJKLMNOPQRSTUVWXYZ";a+=a.toLowerCase()+"0123456789-_";return a+"."}var Tf,Vf;
function Wf(a){function b(l){for(;d<a.length;){var q=a.charAt(d++),r=Vf[q];if(null!=r)return r;if(!/^[\s\xa0]*$/.test(q))throw Error("Unknown base64 encoding at char: "+q);}return l}Tf=Tf||Uf();Vf=Vf||Sf();for(var c="",d=0;;){var e=b(-1),f=b(0),h=b(64),k=b(64);if(64===k&&-1===e)return c;c+=String.fromCharCode(e<<2|f>>4);64!=h&&(c+=String.fromCharCode(f<<4&240|h>>2),64!=k&&(c+=String.fromCharCode(h<<6&192|k)))}};var Xf;var ag=function(){var a=Yf,b=Zf,c=$f(),d=function(h){a(h.target||h.srcElement||{})},e=function(h){b(h.target||h.srcElement||{})};if(!c.init){pd(G,"mousedown",d);pd(G,"keyup",d);pd(G,"submit",e);var f=HTMLFormElement.prototype.submit;HTMLFormElement.prototype.submit=function(){b(this);f.call(this)};c.init=!0}},bg=function(a,b,c,d,e){var f={callback:a,domains:b,fragment:2===c,placement:c,forms:d,sameHost:e};$f().decorators.push(f)},cg=function(a,b,c){for(var d=$f().decorators,e={},f=0;f<d.length;++f){var h=
d[f],k;if(k=!c||h.forms)a:{var l=h.domains,q=a,r=!!h.sameHost;if(l&&(r||q!==G.location.hostname))for(var n=0;n<l.length;n++)if(l[n]instanceof RegExp){if(l[n].test(q)){k=!0;break a}}else if(0<=q.indexOf(l[n])||r&&0<=l[n].indexOf(q)){k=!0;break a}k=!1}if(k){var t=h.placement;void 0==t&&(t=h.fragment?2:1);t===b&&$a(e,h.callback())}}return e},$f=function(){var a=jd("google_tag_data",{}),b=a.gl;b&&b.decorators||(b={decorators:[]},a.gl=b);return b};var dg=/(.*?)\*(.*?)\*(.*)/,eg=/^https?:\/\/([^\/]*?)\.?cdn\.ampproject\.org\/?(.*)/,fg=/^(?:www\.|m\.|amp\.)+/,gg=/([^?#]+)(\?[^#]*)?(#.*)?/;function hg(a){return new RegExp("(.*?)(^|&)"+a+"=([^&]*)&?(.*)")}
var jg=function(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];if(void 0!==d&&d===d&&null!==d&&"[object Object]"!==d.toString()){b.push(c);var e=b,f=e.push,h,k=String(d);Tf=Tf||Uf();Vf=Vf||Sf();for(var l=[],q=0;q<k.length;q+=3){var r=q+1<k.length,n=q+2<k.length,t=k.charCodeAt(q),p=r?k.charCodeAt(q+1):0,u=n?k.charCodeAt(q+2):0,v=t>>2,w=(t&3)<<4|p>>4,y=(p&15)<<2|u>>6,x=u&63;n||(x=64,r||(y=64));l.push(Tf[v],Tf[w],Tf[y],Tf[x])}h=l.join("");f.call(e,h)}}var z=b.join("*");return["1",ig(z),
z].join("*")},ig=function(a,b){var c=[window.navigator.userAgent,(new Date).getTimezoneOffset(),window.navigator.userLanguage||window.navigator.language,Math.floor((new Date).getTime()/60/1E3)-(void 0===b?0:b),a].join("*"),d;if(!(d=Xf)){for(var e=Array(256),f=0;256>f;f++){for(var h=f,k=0;8>k;k++)h=h&1?h>>>1^3988292384:h>>>1;e[f]=h}d=e}Xf=d;for(var l=4294967295,q=0;q<c.length;q++)l=l>>>8^Xf[(l^c.charCodeAt(q))&255];return((l^-1)>>>0).toString(36)},lg=function(){return function(a){var b=oe(D.location.href),
c=b.search.replace("?",""),d=je(c,"_gl",!0)||"";a.query=kg(d)||{};var e=me(b,"fragment").match(hg("_gl"));a.fragment=kg(e&&e[3]||"")||{}}},mg=function(a){var b=lg(),c=$f();c.data||(c.data={query:{},fragment:{}},b(c.data));var d={},e=c.data;e&&($a(d,e.query),a&&$a(d,e.fragment));return d},kg=function(a){var b;b=void 0===b?3:b;try{if(a){var c;a:{for(var d=a,e=0;3>e;++e){var f=dg.exec(d);if(f){c=f;break a}d=decodeURIComponent(d)}c=void 0}var h=c;if(h&&"1"===h[1]){var k=h[3],l;a:{for(var q=h[2],r=0;r<
b;++r)if(q===ig(k,r)){l=!0;break a}l=!1}if(l){for(var n={},t=k?k.split("*"):[],p=0;p<t.length;p+=2)n[t[p]]=Wf(t[p+1]);return n}}}}catch(u){}};function ng(a,b,c,d){function e(r){var n=r,t=hg(a).exec(n),p=n;if(t){var u=t[2],v=t[4];p=t[1];v&&(p=p+u+v)}r=p;var w=r.charAt(r.length-1);r&&"&"!==w&&(r+="&");return r+q}d=void 0===d?!1:d;var f=gg.exec(c);if(!f)return"";var h=f[1],k=f[2]||"",l=f[3]||"",q=a+"="+b;d?l="#"+e(l.substring(1)):k="?"+e(k.substring(1));return""+h+k+l}
function og(a,b){var c="FORM"===(a.tagName||"").toUpperCase(),d=cg(b,1,c),e=cg(b,2,c),f=cg(b,3,c);if(bb(d)){var h=jg(d);c?pg("_gl",h,a):qg("_gl",h,a,!1)}if(!c&&bb(e)){var k=jg(e);qg("_gl",k,a,!0)}for(var l in f)if(f.hasOwnProperty(l))a:{var q=l,r=f[l],n=a;if(n.tagName){if("a"===n.tagName.toLowerCase()){qg(q,r,n,void 0);break a}if("form"===n.tagName.toLowerCase()){pg(q,r,n);break a}}"string"==typeof n&&ng(q,r,n,void 0)}}
function qg(a,b,c,d){if(c.href){var e=ng(a,b,c.href,void 0===d?!1:d);Uc.test(e)&&(c.href=e)}}
function pg(a,b,c){if(c&&c.action){var d=(c.method||"").toLowerCase();if("get"===d){for(var e=c.childNodes||[],f=!1,h=0;h<e.length;h++){var k=e[h];if(k.name===a){k.setAttribute("value",b);f=!0;break}}if(!f){var l=G.createElement("input");l.setAttribute("type","hidden");l.setAttribute("name",a);l.setAttribute("value",b);c.appendChild(l)}}else if("post"===d){var q=ng(a,b,c.action);Uc.test(q)&&(c.action=q)}}}
var Yf=function(a){try{var b;a:{for(var c=a,d=100;c&&0<d;){if(c.href&&c.nodeName.match(/^a(?:rea)?$/i)){b=c;break a}c=c.parentNode;d--}b=null}var e=b;if(e){var f=e.protocol;"http:"!==f&&"https:"!==f||og(e,e.hostname)}}catch(h){}},Zf=function(a){try{if(a.action){var b=me(oe(a.action),"host");og(a,b)}}catch(c){}},rg=function(a,b,c,d){ag();bg(a,b,"fragment"===c?2:1,!!d,!1)},sg=function(a,b){ag();bg(a,[le(D.location,"host",!0)],b,!0,!0)},tg=function(){var a=G.location.hostname,b=eg.exec(G.referrer);if(!b)return!1;
var c=b[2],d=b[1],e="";if(c){var f=c.split("/"),h=f[1];e="s"===h?decodeURIComponent(f[2]):decodeURIComponent(h)}else if(d){if(0===d.indexOf("xn--"))return!1;e=d.replace(/-/g,".").replace(/\.\./g,"-")}var k=a.replace(fg,""),l=e.replace(fg,""),q;if(!(q=k===l)){var r="."+l;q=k.substring(k.length-r.length,k.length)===r}return q},ug=function(a,b){return!1===a?!1:a||b||tg()};var vg=/^\w+$/,wg=/^[\w-]+$/,xg=/^~?[\w-]+$/,yg={aw:"_aw",dc:"_dc",gf:"_gf",ha:"_ha",gp:"_gp"},zg=function(){if(!yd("gtag_cs_api")||!Id())return!0;var a=Gd("ad_storage");return null==a?!0:!!a},Ag=function(a,b){Hd("ad_storage")?zg()?a():Ld(a,"ad_storage"):b?Jc("TAGGING",3):Kd(function(){Ag(a,!0)},["ad_storage"])},Dg=function(a){var b=[];if(!G.cookie)return b;var c=uf(a,G.cookie,void 0,"ad_storage");if(!c||0==c.length)return b;for(var d=0;d<c.length;d++){var e=Bg(c[d]);e&&-1===Da(b,e)&&b.push(e)}return Cg(b)};
function Eg(a){return a&&"string"==typeof a&&a.match(vg)?a:"_gcl"}
var Gg=function(){var a=oe(D.location.href),b=me(a,"query",!1,void 0,"gclid"),c=me(a,"query",!1,void 0,"gclsrc"),d=me(a,"query",!1,void 0,"dclid");if(!b||!c){var e=a.hash.replace("#","");b=b||je(e,"gclid",void 0);c=c||je(e,"gclsrc",void 0)}return Fg(b,c,d)},Fg=function(a,b,c){var d={},e=function(f,h){d[h]||(d[h]=[]);d[h].push(f)};d.gclid=a;d.gclsrc=b;d.dclid=c;if(void 0!==a&&a.match(wg))switch(b){case void 0:e(a,"aw");break;case "aw.ds":e(a,"aw");e(a,"dc");break;case "ds":e(a,"dc");break;case "3p.ds":yd("gtm_3pds")&&
e(a,"dc");break;case "gf":e(a,"gf");break;case "ha":e(a,"ha");break;case "gp":e(a,"gp")}c&&e(c,"dc");return d},Ig=function(a){var b=Gg();Ag(function(){Hg(b,a)})};
function Hg(a,b,c){function d(l,q){var r=Jg(l,e);r&&Df(r,q,f)}b=b||{};var e=Eg(b.prefix);c=c||Ta();var f=Lf(b,c,!0);f.va="ad_storage";var h=Math.round(c/1E3),k=function(l){return["GCL",h,l].join(".")};a.aw&&(!0===b.Pi?d("aw",k("~"+a.aw[0])):d("aw",k(a.aw[0])));a.dc&&d("dc",k(a.dc[0]));a.gf&&d("gf",k(a.gf[0]));a.ha&&d("ha",k(a.ha[0]));a.gp&&d("gp",k(a.gp[0]))}
var Lg=function(a,b){var c=mg(!0);Ag(function(){for(var d=Eg(b.prefix),e=0;e<a.length;++e){var f=a[e];if(void 0!==yg[f]){var h=Jg(f,d),k=c[h];if(k){var l=Math.min(Kg(k),Ta()),q;b:{for(var r=l,n=uf(h,G.cookie,void 0,"ad_storage"),t=0;t<n.length;++t)if(Kg(n[t])>r){q=!0;break b}q=!1}if(!q){var p=Lf(b,l,!0);p.va="ad_storage";Df(h,k,p)}}}}Hg(Fg(c.gclid,c.gclsrc),b)})},Jg=function(a,b){var c=yg[a];if(void 0!==c)return b+c},Kg=function(a){var b=a.split(".");return 3!==b.length||"GCL"!==b[0]?0:1E3*(Number(b[1])||
0)};function Bg(a){var b=a.split(".");if(3==b.length&&"GCL"==b[0]&&b[1])return b[2]}
var Mg=function(a,b,c,d,e){if(Ca(b)){var f=Eg(e),h=function(){for(var k={},l=0;l<a.length;++l){var q=Jg(a[l],f);if(q){var r=uf(q,G.cookie,void 0,"ad_storage");r.length&&(k[q]=r.sort()[r.length-1])}}return k};Ag(function(){rg(h,b,c,d)})}},Cg=function(a){return a.filter(function(b){return xg.test(b)})},Ng=function(a,b){for(var c=Eg(b.prefix),d={},e=0;e<a.length;e++)yg[a[e]]&&(d[a[e]]=yg[a[e]]);Ag(function(){Ja(d,function(f,h){var k=uf(c+h,G.cookie,void 0,"ad_storage");if(k.length){var l=k[0],q=Kg(l),
r={};r[f]=[Bg(l)];Hg(r,b,q)}})})};function Og(a,b){for(var c=0;c<b.length;++c)if(a[b[c]])return!0;return!1}
var Pg=function(){function a(e,f,h){h&&(e[f]=h)}var b=["aw","dc"];if(Id()){var c=Gg();if(Og(c,b)){var d={};a(d,"gclid",c.gclid);a(d,"dclid",c.dclid);a(d,"gclsrc",c.gclsrc);sg(function(){return d},3);sg(function(){var e={};return e._up="1",e},1)}}},Qg=function(){var a;if(zg()){for(var b=[],c=G.cookie.split(";"),d=/^\s*_gac_(UA-\d+-\d+)=\s*(.+?)\s*$/,e=0;e<c.length;e++){var f=c[e].match(d);f&&b.push({Qd:f[1],value:f[2]})}var h={};if(b&&b.length)for(var k=0;k<b.length;k++){var l=b[k].value.split(".");
"1"==l[0]&&3==l.length&&l[1]&&(h[b[k].Qd]||(h[b[k].Qd]=[]),h[b[k].Qd].push({timestamp:l[1],nh:l[2]}))}a=h}else a={};return a};var Rg=/^\d+\.fls\.doubleclick\.net$/;function Sg(a,b){Hd(m.C)?Pd(m.C)?a():Ld(a,m.C):b?B(42):Rd(function(){Sg(a,!0)},[m.C])}function Tg(a){var b=oe(D.location.href),c=me(b,"host",!1);if(c&&c.match(Rg)){var d=me(b,"path").split(a+"=");if(1<d.length)return d[1].split(";")[0].split("?")[0]}}
function Ug(a,b,c){if("aw"==a||"dc"==a){var d=Tg("gcl"+a);if(d)return d.split(".")}var e=Eg(b);if("_gcl"==e){c=void 0===c?!0:c;var f=!Pd(m.C)&&c,h;h=Gg()[a]||[];if(0<h.length)return f?["0"]:h}var k=Jg(a,e);return k?Dg(k):[]}
var Vg=function(a){var b=Tg("gac");if(b)return!Pd(m.C)&&a?"0":decodeURIComponent(b);var c=Qg(),d=[];Ja(c,function(e,f){for(var h=[],k=0;k<f.length;k++)h.push(f[k].nh);h=Cg(h);h.length&&d.push(e+":"+h.join(","))});return d.join(";")},Wg=function(a,b){var c=Gg().dc||[];Sg(function(){Rf(b);var d=Nf[Of(b.prefix)],e=!1;if(d&&0<c.length){var f=I.joined_au=I.joined_au||{},h=b.prefix||"_gcl";if(!f[h])for(var k=0;k<c.length;k++){var l="https://adservice.google.com/ddm/regclk";l=l+"?gclid="+c[k]+"&auiddc="+d;vd(l);e=f[h]=
!0}}null==a&&(a=e);if(a&&d){var q=Of(b.prefix),r=Nf[q];r&&Qf(q,r,b)}})};var Xg=/[A-Z]+/,Yg=/\s/,Zg=function(a){if(za(a)&&(a=Sa(a),!Yg.test(a))){var b=a.indexOf("-");if(!(0>b)){var c=a.substring(0,b);if(Xg.test(c)){for(var d=a.substring(b+1).split("/"),e=0;e<d.length;e++)if(!d[e])return;return{id:a,prefix:c,containerId:c+"-"+d[0],F:d}}}}},ah=function(a){for(var b={},c=0;c<a.length;++c){var d=Zg(a[c]);d&&(b[d.id]=d)}$g(b);var e=[];Ja(b,function(f,h){e.push(h)});return e};
function $g(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];"AW"===d.prefix&&d.F[1]&&b.push(d.containerId)}for(var e=0;e<b.length;++e)delete a[b[e]]};var bh=function(){var a=!1;return a};var dh=function(a,b,c,d){return(2===ch()||d||"http:"!=D.location.protocol?a:b)+c},ch=function(){var a=md(),b;if(1===a)a:{var c=Re;c=c.toLowerCase();for(var d="https://"+c,e="http://"+c,f=1,h=G.getElementsByTagName("script"),k=0;k<h.length&&100>k;k++){var l=h[k].src;if(l){l=l.toLowerCase();if(0===l.indexOf(e)){b=3;break a}1===f&&0===l.indexOf(d)&&(f=2)}}b=f}else b=a;return b};
var rh=function(a){return Pd(m.C)?a:a.replace(/&url=([^&#]+)/,function(b,c){var d=pe(decodeURIComponent(c));return"&url="+encodeURIComponent(d)})},sh=function(){var a;if(!(a=Se)){var b;if(!0===D._gtmdgs)b=!0;else{var c=hd&&hd.userAgent||"";b=0>c.indexOf("Safari")||/Chrome|Coast|Opera|Edg|Silk|Android/.test(c)||11>((/Version\/([\d]+)/.exec(c)||[])[1]||"")?!1:!0}a=!b}if(a)return-1;var d=La("1");return qf(1,100)<d?qf(2,2):-1},th=function(a){var b;return b};var uh=new RegExp(/^(.*\.)?(google|youtube|blogger|withgoogle)(\.com?)?(\.[a-z]{2})?\.?$/),vh={cl:["ecl"],customPixels:["nonGooglePixels"],ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],customScripts:["html","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],nonGooglePixels:[],nonGoogleScripts:["nonGooglePixels"],nonGoogleIframes:["nonGooglePixels"]},wh={cl:["ecl"],customPixels:["customScripts","html"],
ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts"],customScripts:["html"],nonGooglePixels:["customPixels","customScripts","html","nonGoogleScripts","nonGoogleIframes"],nonGoogleScripts:["customScripts","html"],nonGoogleIframes:["customScripts","html","nonGoogleScripts"]},xh="google customPixels customScripts html nonGooglePixels nonGoogleScripts nonGoogleIframes".split(" ");
var zh=function(a){var b;df("gtm.allowlist")&&B(52);b=df("gtm.allowlist");b||(b=df("gtm.whitelist"));b&&B(9);
var c=b&&cb(Ra(b),vh),d;df("gtm.blocklist")&&B(51);d=df("gtm.blocklist");d||(d=df("gtm.blacklist"));d||(d=df("tagTypeBlacklist"))&&B(3);d?B(8):d=[];yh()&&(d=Ra(d),d.push("nonGooglePixels","nonGoogleScripts","sandboxedScripts"));0<=Da(Ra(d),"google")&&B(2);var e=
d&&cb(Ra(d),wh),f={};return function(h){var k=h&&h[$b.Na];if(!k||"string"!=typeof k)return!0;k=k.replace(/^_*/,"");if(void 0!==f[k])return f[k];var l=Xe[k]||[],q=a(k,l);if(b){var r;if(r=q)a:{if(0>Da(c,k))if(l&&0<l.length)for(var n=0;n<l.length;n++){if(0>Da(c,l[n])){B(11);r=!1;break a}}else{r=!1;break a}r=!0}q=r}var t=!1;if(d){var p=0<=Da(e,k);if(p)t=p;else{var u=Ia(e,l||[]);u&&B(10);t=u}}var v=!q||t;v||!(0<=Da(l,"sandboxedScripts"))||c&&-1!==Da(c,"sandboxedScripts")||(v=Ia(e,xh));return f[k]=v}},
yh=function(){return uh.test(D.location&&D.location.hostname)};var Ah={active:!0,isAllowed:function(){return!0}},Bh=function(a){var b=I.zones;return b?b.checkState(Le.D,a):Ah},Ch=function(a){var b=I.zones;!b&&a&&(b=I.zones=a());return b};var Dh=function(){},Ih=function(){};var Jh=!1,Kh=0,Lh=[];function Mh(a){if(!Jh){var b=G.createEventObject,c="complete"==G.readyState,d="interactive"==G.readyState;if(!a||"readystatechange"!=a.type||c||!b&&d){Jh=!0;for(var e=0;e<Lh.length;e++)H(Lh[e])}Lh.push=function(){for(var f=0;f<arguments.length;f++)H(arguments[f]);return 0}}}function Nh(){if(!Jh&&140>Kh){Kh++;try{G.documentElement.doScroll("left"),Mh()}catch(a){D.setTimeout(Nh,50)}}}var Oh=function(a){Jh?a():Lh.push(a)};var Ph={},Qh={},Rh=function(a,b,c,d){if(!Qh[a]||Oe[b]||"__zone"===b)return-1;var e={};kb(d)&&(e=g(d,e));e.id=c;e.status="timeout";return Qh[a].tags.push(e)-1},Sh=function(a,b,c,d){if(Qh[a]){var e=Qh[a].tags[b];e&&(e.status=c,e.executionTime=d)}};function Th(a){for(var b=Ph[a]||[],c=0;c<b.length;c++)b[c]();Ph[a]={push:function(d){d(Le.D,Qh[a])}}}
var Wh=function(a,b,c){Qh[a]={tags:[]};ya(b)&&Uh(a,b);c&&D.setTimeout(function(){return Th(a)},Number(c));return Vh(a)},Uh=function(a,b){Ph[a]=Ph[a]||[];Ph[a].push(Wa(function(){return H(function(){b(Le.D,Qh[a])})}))};function Vh(a){var b=0,c=0,d=!1;return{add:function(){c++;return Wa(function(){b++;d&&b>=c&&Th(a)})},Mg:function(){d=!0;b>=c&&Th(a)}}};var Xh=function(){function a(d){return!Ba(d)||0>d?0:d}if(!I._li&&D.performance&&D.performance.timing){var b=D.performance.timing.navigationStart,c=Ba(ef.get("gtm.start"))?ef.get("gtm.start"):0;I._li={cst:a(c-b),cbt:a(Ue-b)}}};var ai={},bi=function(){return D.GoogleAnalyticsObject&&D[D.GoogleAnalyticsObject]},ci=!1;
var di=function(a){D.GoogleAnalyticsObject||(D.GoogleAnalyticsObject=a||"ga");var b=D.GoogleAnalyticsObject;if(D[b])D.hasOwnProperty(b)||B(12);else{var c=function(){c.q=c.q||[];c.q.push(arguments)};c.l=Number(new Date);D[b]=c}Xh();return D[b]},ei=function(a,b,c,d){b=String(b).replace(/\s+/g,"").split(",");var e=bi();e(a+"require","linker");e(a+"linker:autoLink",b,c,d)},fi=function(a){};
var hi=function(a){},gi=function(){return D.GoogleAnalyticsObject||"ga"},ii=function(a,b){return function(){var c=bi(),d=c&&c.getByName&&c.getByName(a);if(d){var e=d.get("sendHitTask");d.set("sendHitTask",function(f){var h=f.get("hitPayload"),k=f.get("hitCallback"),l=0>h.indexOf("&tid="+b);l&&(f.set("hitPayload",h.replace(/&tid=UA-[0-9]+-[0-9]+/,"&tid="+
b),!0),f.set("hitCallback",void 0,!0));e(f);l&&(f.set("hitPayload",h,!0),f.set("hitCallback",k,!0),f.set("_x_19",void 0,!0),e(f))})}}};
var ni=function(){return"&tc="+Pb.filter(function(a){return a}).length},qi=function(){2022<=oi().length&&pi()},si=function(){ri||(ri=D.setTimeout(pi,500))},pi=function(){ri&&(D.clearTimeout(ri),ri=void 0);void 0===ti||ui[ti]&&!vi&&!wi||(xi[ti]||yi.Ah()||0>=zi--?(B(1),xi[ti]=!0):(yi.Wh(),od(oi()),ui[ti]=!0,Ai=Bi=Ci=wi=vi=""))},oi=function(){var a=ti;if(void 0===a)return"";var b=Kc("GTM"),c=Kc("TAGGING");return[Di,ui[a]?"":"&es=1",Ei[a],b?"&u="+b:"",c?"&ut="+c:"",ni(),vi,wi,Ci?Ci:"",Bi,Ai,"&z=0"].join("")},
Fi=function(){return[Ve,"&v=3&t=t","&pid="+Fa(),"&rv="+Le.kc].join("")},Gi="0.005000">Math.random(),Di=Fi(),Hi=function(){Di=Fi()},ui={},vi="",wi="",Ai="",Bi="",Ci="",ti=void 0,Ei={},xi={},ri=void 0,yi=function(a,b){var c=0,d=0;return{Ah:function(){if(c<a)return!1;Ta()-d>=b&&(c=0);return c>=a},Wh:function(){Ta()-d>=b&&(c=0);c++;d=Ta()}}}(2,1E3),zi=1E3,Ii=function(a,b,c){if(Gi&&!xi[a]&&b){a!==ti&&(pi(),ti=a);var d,e=String(b[$b.Na]||"").replace(/_/g,"");0===e.indexOf("cvt")&&(e="cvt");
d=e;var f=c+d;vi=vi?vi+"."+f:"&tr="+f;var h=b["function"];if(!h)throw Error("Error: No function name given for function call.");var k=(Rb[h]?"1":"2")+d;Ai=Ai?Ai+"."+k:"&ti="+k;si();qi()}},Ji=function(a,b,c){if(Gi&&!xi[a]){a!==ti&&(pi(),ti=a);var d=c+b;wi=wi?wi+"."+d:"&epr="+d;si();qi()}},Ki=function(a,b,c){};
function Li(a,b,c,d){var e=Pb[a],f=Mi(a,b,c,d);if(!f)return null;var h=Wb(e[$b.Te],c,[]);if(h&&h.length){var k=h[0];f=Li(k.index,{K:f,J:1===k.df?b.terminate:f,terminate:b.terminate},c,d)}return f}
function Mi(a,b,c,d){function e(){if(f[$b.vg])k();else{var w=Yb(f,c,[]);var z=Rh(c.id,String(f[$b.Na]),Number(f[$b.Ue]),w[$b.wg]),A=!1;w.vtp_gtmOnSuccess=function(){if(!A){A=!0;var F=Ta()-E;Ii(c.id,Pb[a],"5");Sh(c.id,z,"success",
F);h()}};w.vtp_gtmOnFailure=function(){if(!A){A=!0;var F=Ta()-E;Ii(c.id,Pb[a],"6");Sh(c.id,z,"failure",F);k()}};w.vtp_gtmTagId=f.tag_id;w.vtp_gtmEventId=c.id;Ii(c.id,f,"1");var C=function(){var F=Ta()-E;Ii(c.id,f,"7");Sh(c.id,z,"exception",F);A||(A=!0,k())};var E=Ta();try{Vb(w,c)}catch(F){C(F)}}}var f=Pb[a],h=b.K,k=b.J,l=b.terminate;if(c.xd(f))return null;var q=Wb(f[$b.Ve],c,[]);if(q&&q.length){var r=q[0],n=Li(r.index,{K:h,J:k,terminate:l},c,d);if(!n)return null;h=n;k=2===r.df?l:n}if(f[$b.Pe]||f[$b.yg]){var t=f[$b.Pe]?Qb:c.ei,p=h,u=k;if(!t[a]){e=Wa(e);
var v=Ni(a,t,e);h=v.K;k=v.J}return function(){t[a](p,u)}}return e}function Ni(a,b,c){var d=[],e=[];b[a]=Oi(d,e,c);return{K:function(){b[a]=Pi;for(var f=0;f<d.length;f++)d[f]()},J:function(){b[a]=Qi;for(var f=0;f<e.length;f++)e[f]()}}}function Oi(a,b,c){return function(d,e){a.push(d);b.push(e);c()}}function Pi(a){a()}function Qi(a,b){b()};var Ti=function(a,b,c){for(var d=[],e=0;e<Pb.length;e++)if(a[e]){var f=Pb[e];var h=c.add();try{var k=Li(e,{K:h,J:h,terminate:h},b,e);if(k){var l=d,q=l.push,r=e,n=f["function"];if(!n)throw"Error: No function name given for function call.";var t=Rb[n];q.call(l,{Af:r,tf:t?t.priorityOverride||0:0,jh:k})}else Ri(e,b),h()}catch(u){h()}}c.Mg();d.sort(Si);for(var p=0;p<d.length;p++)d[p].jh();return 0<d.length};
function Si(a,b){var c,d=b.tf,e=a.tf;c=d>e?1:d<e?-1:0;var f;if(0!==c)f=c;else{var h=a.Af,k=b.Af;f=h>k?1:h<k?-1:0}return f}function Ri(a,b){if(!Gi)return;var c=function(d){var e=b.xd(Pb[d])?"3":"4",f=Wb(Pb[d][$b.Te],b,[]);f&&f.length&&c(f[0].index);Ii(b.id,Pb[d],e);var h=Wb(Pb[d][$b.Ve],b,[]);h&&h.length&&c(h[0].index)};c(a);}
var Ui=!1,Zi=function(a){var b=a["gtm.uniqueEventId"],c=a.event;if("gtm.js"===c){if(Ui)return!1;Ui=!0}var d=Bh(b),e=!1;if(!d.active){if("gtm.js"!==c)return!1;e=!0;d=Bh(Number.MAX_SAFE_INTEGER)}Gi&&!xi[b]&&ti!==b&&(pi(),ti=b,Ai=vi="",Ei[b]="&e="+(0===c.indexOf("gtm.")?encodeURIComponent(c):"*")+"&eid="+b,si());var f={id:b,name:c,xd:zh(d.isAllowed),ei:[],nf:function(){B(6)},Ze:Vi(b)},h=Wh(b,a.eventCallback,a.eventTimeout);Wi(b);
var k=dc(f);e&&(k=Xi(k));var l=Ti(k,f,h);"gtm.js"!==c&&"gtm.sync"!==c||hi(Le.D);switch(c){case "gtm.init":B(19),l&&B(20)}return Yi(k,l)};function Vi(a){return function(b){Gi&&(lb(b)||Ki(a,"input",b))}}
function Wi(a){hf(a,"event",1);hf(a,"ecommerce",1);hf(a,"gtm");hf(a,"eventModel");}function Xi(a){for(var b=[],c=0;c<a.length;c++)a[c]&&Ne[String(Pb[c][$b.Na])]&&(b[c]=!0);return b}function Yi(a,b){if(!b)return b;for(var c=0;c<a.length;c++)if(a[c]&&Pb[c]&&!Oe[String(Pb[c][$b.Na])])return!0;return!1}function $i(a,b){if(a){var c=""+a;0!==c.indexOf("http://")&&0!==c.indexOf("https://")&&(c="https://"+c);"/"===c[c.length-1]&&(c=c.substring(0,c.length-1));return oe(""+c+b).href}}function aj(a,b){return bj()?$i(a,b):void 0}function bj(){var a=!1;return a};var cj=function(){this.eventModel={};this.targetConfig={};this.containerConfig={};this.m={};this.globalConfig={};this.K=function(){};this.J=function(){};this.eventId=void 0},dj=function(a){var b=new cj;b.eventModel=a;return b},ej=function(a,b){a.targetConfig=b;return a},fj=function(a,b){a.containerConfig=b;return a},gj=function(a,b){a.m=b;return a},hj=function(a,b){a.globalConfig=b;return a},ij=function(a,b){a.K=b;return a},jj=function(a,b){a.J=b;return a};
cj.prototype.getWithConfig=function(a){if(void 0!==this.eventModel[a])return this.eventModel[a];if(void 0!==this.targetConfig[a])return this.targetConfig[a];if(void 0!==this.containerConfig[a])return this.containerConfig[a];if(void 0!==this.m[a])return this.m[a];if(void 0!==this.globalConfig[a])return this.globalConfig[a]};
var kj=function(a){function b(e){Ja(e,function(f){c[f]=null})}var c={};b(a.eventModel);b(a.targetConfig);b(a.containerConfig);b(a.globalConfig);var d=[];Ja(c,function(e){d.push(e)});return d};var lj;if(3===Le.kc.length)lj="g";else{var mj="G";lj=mj}
var nj={"":"n",UA:"u",AW:"a",DC:"d",G:"e",GF:"f",HA:"h",GTM:lj,OPT:"o"},oj=function(a){var b=Le.D.split("-"),c=b[0].toUpperCase(),d=nj[c]||"i",e=a&&"GTM"===c?b[1]:"OPT"===c?b[1]:"",f;if(3===Le.kc.length){var h="w";f="2"+h}else f="";return f+d+Le.kc+e};var pj=function(a,b){a.addEventListener&&a.addEventListener.call(a,"message",b,!1)};var qj=function(){return Yc("iPhone")&&!Yc("iPod")&&!Yc("iPad")};Yc("Opera");Yc("Trident")||Yc("MSIE");Yc("Edge");!Yc("Gecko")||-1!=Vc.toLowerCase().indexOf("webkit")&&!Yc("Edge")||Yc("Trident")||Yc("MSIE")||Yc("Edge");-1!=Vc.toLowerCase().indexOf("webkit")&&!Yc("Edge")&&Yc("Mobile");Yc("Macintosh");Yc("Windows");Yc("Linux")||Yc("CrOS");var rj=na.navigator||null;rj&&(rj.appVersion||"").indexOf("X11");Yc("Android");qj();Yc("iPad");Yc("iPod");qj()||Yc("iPad")||Yc("iPod");Vc.toLowerCase().indexOf("kaios");var sj=function(a,b){for(var c=a,d=0;50>d;++d){var e;try{e=!(!c.frames||!c.frames[b])}catch(k){e=!1}if(e)return c;var f;a:{try{var h=c.parent;if(h&&h!=c){f=h;break a}}catch(k){}f=null}if(!(c=f))break}return null};var tj=function(){};var uj=function(a){void 0!==a.addtlConsent&&"string"!==typeof a.addtlConsent&&(a.addtlConsent=void 0);void 0!==a.gdprApplies&&"boolean"!==typeof a.gdprApplies&&(a.gdprApplies=void 0);return void 0!==a.tcString&&"string"!==typeof a.tcString||void 0!==a.listenerId&&"number"!==typeof a.listenerId?2:a.cmpStatus&&"error"!==a.cmpStatus?0:3},vj=function(a,b){this.o=a;this.m=null;this.N={};this.wa=0;this.la=void 0===b?500:b;this.B=null};ma(vj,tj);
var xj=function(a){return"function"===typeof a.o.__tcfapi||null!=wj(a)};
vj.prototype.addEventListener=function(a){var b={},c=Pc(function(){return a(b)}),d=0;-1!==this.la&&(d=setTimeout(function(){b.tcString="tcunavailable";b.internalErrorState=1;c()},this.la));var e=function(f,h){clearTimeout(d);f?(b=f,b.internalErrorState=uj(b),h&&0===b.internalErrorState||(b.tcString="tcunavailable",h||(b.internalErrorState=3))):(b.tcString="tcunavailable",b.internalErrorState=3);a(b)};try{yj(this,"addEventListener",e)}catch(f){b.tcString="tcunavailable",b.internalErrorState=3,d&&(clearTimeout(d),
d=0),c()}};vj.prototype.removeEventListener=function(a){a&&a.listenerId&&yj(this,"removeEventListener",null,a.listenerId)};
var Aj=function(a,b,c){var d;d=void 0===d?"755":d;var e;a:{if(a.publisher&&a.publisher.restrictions){var f=a.publisher.restrictions[b];if(void 0!==f){e=f[void 0===d?"755":d];break a}}e=void 0}var h=e;if(0===h)return!1;var k=c;2===c?(k=0,2===h&&(k=1)):3===c&&(k=1,1===h&&(k=0));var l;if(0===k)if(a.purpose&&a.vendor){var q=zj(a.vendor.consents,void 0===d?"755":d);l=q&&"1"===b&&a.purposeOneTreatment&&"DE"===a.publisherCC?!0:q&&zj(a.purpose.consents,b)}else l=!0;else l=1===k?a.purpose&&a.vendor?zj(a.purpose.legitimateInterests,
b)&&zj(a.vendor.legitimateInterests,void 0===d?"755":d):!0:!0;return l},zj=function(a,b){return!(!a||!a[b])},yj=function(a,b,c,d){c||(c=function(){});if("function"===typeof a.o.__tcfapi){var e=a.o.__tcfapi;e(b,2,c,d)}else if(wj(a)){Bj(a);var f=++a.wa;a.N[f]=c;if(a.m){var h={};a.m.postMessage((h.__tcfapiCall={command:b,version:2,callId:f,parameter:d},h),"*")}}else c({},!1)},wj=function(a){if(a.m)return a.m;a.m=sj(a.o,"__tcfapiLocator");return a.m},Bj=function(a){a.B||(a.B=function(b){try{var c;c=("string"===
typeof b.data?JSON.parse(b.data):b.data).__tcfapiReturn;a.N[c.callId](c.returnValue,c.success)}catch(d){}},pj(a.o,a.B))};var Cj={1:0,3:0,4:0,7:3,9:3,10:3};function Dj(a,b){if(""===a)return b;var c=Number(a);return isNaN(c)?b:c}var Ej=Dj("",550),Fj=Dj("",500);function Gj(){var a=I.tcf||{};return I.tcf=a}
var Hj=function(a,b){this.B=a;this.m=b;this.o=Ta();},Ij=function(a){},Jj=function(a){},Pj=function(){var a=Gj(),b=new vj(D,3E3),c=new Hj(b,a);if((Kj()?!0===D.gtag_enable_tcf_support:!1!==D.gtag_enable_tcf_support)&&!a.active&&("function"===typeof D.__tcfapi||xj(b))){a.active=!0;a.Mb={};Lj();var d=setTimeout(function(){Mj(a);Nj(a);d=null},Fj);try{b.addEventListener(function(e){d&&(clearTimeout(d),d=null);if(0!==e.internalErrorState)Mj(a),Nj(a),Ij(c);else{var f;if(!1===e.gdprApplies)f=Oj(),b.removeEventListener(e);
else if("tcloaded"===e.eventStatus||"useractioncomplete"===e.eventStatus||"cmpuishown"===e.eventStatus){var h={},k;for(k in Cj)if(Cj.hasOwnProperty(k))if("1"===k){var l=e,q=!0;q=void 0===q?!1:q;var r;var n=l;!1===n.gdprApplies?r=!0:(void 0===n.internalErrorState&&(n.internalErrorState=uj(n)),r="error"===n.cmpStatus||0!==n.internalErrorState||"loaded"===n.cmpStatus&&("tcloaded"===n.eventStatus||"useractioncomplete"===n.eventStatus)?!0:!1);h["1"]=r?!1===l.gdprApplies||"tcunavailable"===l.tcString||
void 0===l.gdprApplies&&!q||"string"!==typeof l.tcString||!l.tcString.length?!0:Aj(l,"1",0):!1}else h[k]=Aj(e,k,Cj[k]);f=h}f&&(a.tcString=e.tcString||"tcempty",a.Mb=f,Nj(a),Ij(c))}}),Jj(c)}catch(e){d&&(clearTimeout(d),d=null),Mj(a),Nj(a)}}};function Mj(a){a.type="e";a.tcString="tcunavailable";a.Mb=Oj()}function Lj(){var a={};Nd((a.ad_storage="denied",a.wait_for_update=Ej,a))}
var Kj=function(){var a=!1;a=!0;return a};function Oj(){var a={},b;for(b in Cj)Cj.hasOwnProperty(b)&&(a[b]=!0);return a}function Nj(a){var b={};Od((b.ad_storage=a.Mb["1"]?"granted":"denied",b))}
var Qj=function(){var a=Gj();if(a.active&&void 0!==a.loadTime)return Number(a.loadTime)},Rj=function(){var a=Gj();return a.active?a.tcString||"":""},Sj=function(a){if(!Cj.hasOwnProperty(String(a)))return!0;var b=Gj();return b.active&&b.Mb?!!b.Mb[String(a)]:!0};function Tj(a){var b=String(D.location).split(/[?#]/)[0],c=Le.If||D._CONSENT_MODE_SALT;return a?c?String(rf(b+a+c)):"0":""}
function Uj(a,b,c){function d(r){var n;I.reported_gclid||(I.reported_gclid={});n=I.reported_gclid;var t=f+(r?"gcu":"gcs");if(!n[t]){n[t]=!0;var p=[],u=function(z,A){A&&p.push(z+"="+encodeURIComponent(A))},v="https://www.google.com";if(Id()){var w=Pd(m.C);u("gcs",Qd());r&&u("gcu","1");I.dedupe_gclid||(I.dedupe_gclid=""+Gf());u("rnd",I.dedupe_gclid);if((!f||h&&"aw.ds"!==h)&&Pd(m.C)){var y=Dg("_gcl_aw");
u("gclaw",y.join("."))}u("url",String(D.location).split(/[?#]/)[0]);u("dclid",Vj(b,k));!w&&b&&(v="https://pagead2.googlesyndication.com")}u("gdpr_consent",Rj());"1"===mg(!1)._up&&u("gtm_up","1");u("gclid",Vj(b,f));u("gclsrc",h);u("gtm",oj(!c));var x=v+"/pagead/landing?"+p.join("&");vd(x)}}var e=Gg(),f=e.gclid||"",h=e.gclsrc,k=e.dclid||"",l=!a&&(!f||h&&"aw.ds"!==h?!1:!0),q=Id();if(l||q)q?Rd(function(){d();Pd(m.C)||
Ld(function(r){return d(!0,r.$e)},m.C)},[m.C]):d()}function Vj(a,b){var c=a&&!Pd(m.C);return b&&c?"0":b}var Ek=function(){var a=!0;Sj(7)&&Sj(9)&&Sj(10)||(a=!1);var b=!0;b=!1;b&&!Dk()&&(a=!1);return a},Dk=function(){var a=!0;Sj(3)&&Sj(4)||(a=!1);return a};var $k=!1;function al(){var a=I;return a.gcq=a.gcq||new bl}
var cl=function(a,b,c){al().register(a,b,c)},dl=function(a,b,c,d){al().push("event",[b,a],c,d)},el=function(a,b){al().push("config",[a],b)},fl=function(a,b,c,d){al().push("get",[a,b],c,d)},gl={},hl=function(){this.status=1;this.containerConfig={};this.targetConfig={};this.o={};this.B=null;this.m=!1},il=function(a,b,c,d,e){this.type=a;this.B=b;this.U=c||"";this.m=d;this.o=e},bl=function(){this.B={};this.o={};this.m=[]},jl=function(a,b){var c=Zg(b);return a.B[c.containerId]=a.B[c.containerId]||new hl},
kl=function(a,b,c){if(b){var d=Zg(b);if(d&&1===jl(a,b).status){jl(a,b).status=2;var e={};Gi&&(e.timeoutId=D.setTimeout(function(){B(38);si()},3E3));a.push("require",[e],d.containerId);gl[d.containerId]=Ta();if(bh()){}else{var h="/gtag/js?id="+
encodeURIComponent(d.containerId)+"&l=dataLayer&cx=c",k=("http:"!=D.location.protocol?"https:":"http:")+("//www.googletagmanager.com"+h),l=aj(c,h)||k;ld(l)}}}},ll=function(a,b,c,d){if(d.U){var e=jl(a,d.U),f=e.B;if(f){var h=g(c),k=g(e.targetConfig[d.U]),l=g(e.containerConfig),q=g(e.o),r=g(a.o),n=df("gtm.uniqueEventId"),t=Zg(d.U).prefix,p=jj(ij(hj(gj(fj(ej(dj(h),k),l),q),r),function(){Ji(n,t,"2");}),function(){
Ji(n,t,"3");});try{Ji(n,t,"1");f(d.U,b,d.B,p)}catch(u){Ji(n,t,"4");}}}};aa=bl.prototype;
aa.register=function(a,b,c){var d=jl(this,a);if(3!==d.status){d.B=b;d.status=3;if(c){d.o=c}var e=Zg(a),f=gl[e.containerId];if(void 0!==f){var h=I[e.containerId].bootstrap,k=e.prefix.toUpperCase();I[e.containerId]._spx&&(k=k.toLowerCase());var l=df("gtm.uniqueEventId"),q=k,r=Ta()-h;if(Gi&&!xi[l]){l!==ti&&(pi(),ti=l);var n=q+"."+Math.floor(h-f)+"."+Math.floor(r);Bi=
Bi?Bi+","+n:"&cl="+n}delete gl[e.containerId]}this.flush()}};aa.push=function(a,b,c,d){var e=Math.floor(Ta()/1E3);kl(this,c,b[0][m.Ma]||this.o[m.Ma]);$k&&c&&jl(this,c).m&&(d=!1);this.m.push(new il(a,e,c,b,d));d||this.flush()};aa.insert=function(a,b,c){var d=Math.floor(Ta()/1E3);0<this.m.length?this.m.splice(1,0,new il(a,d,c,b,!1)):this.m.push(new il(a,d,c,b,!1))};
aa.flush=function(a){for(var b=this,c=[],d=!1;this.m.length;){var e=this.m[0];if(e.o)$k?!e.U||jl(this,e.U).m?(e.o=!1,this.m.push(e)):c.push(e):(e.o=!1,this.m.push(e));else switch(e.type){case "require":if(3!==jl(this,e.U).status&&!a){$k&&this.m.push.apply(this.m,c);return}Gi&&D.clearTimeout(e.m[0].timeoutId);break;case "set":Ja(e.m[0],function(t,p){g(db(t,p),b.o)});break;case "config":var f=e.m[0],h=!!f[m.cc];delete f[m.cc];var k=jl(this,e.U),l=Zg(e.U),q=l.containerId===l.id;h||(q?k.containerConfig=
{}:k.targetConfig[e.U]={});k.m&&h||ll(this,m.fa,f,e);k.m=!0;delete f[m.xb];q?g(f,k.containerConfig):g(f,k.targetConfig[e.U]);$k&&(d=!0);break;case "event":ll(this,e.m[1],e.m[0],e);break;case "get":var r={},n=(r[m.Ba]=e.m[0],r[m.Aa]=e.m[1],r);ll(this,m.Ja,n,e)}this.m.shift()}$k&&(this.m.push.apply(this.m,c),d&&this.flush())};aa.getRemoteConfig=function(a){return jl(this,a).o};var ml=function(a,b,c){function d(f,h){var k=f[h];return k}var e={event:b,"gtm.element":a,"gtm.elementClasses":d(a,"className"),"gtm.elementId":a["for"]||rd(a,"id")||"","gtm.elementTarget":a.formTarget||d(a,"target")||""};c&&(e["gtm.triggers"]=c.join(","));e["gtm.elementUrl"]=(a.attributes&&a.attributes.formaction?a.formAction:"")||a.action||d(a,"href")||a.src||a.code||a.codebase||
"";return e},nl=function(a){I.hasOwnProperty("autoEventsSettings")||(I.autoEventsSettings={});var b=I.autoEventsSettings;b.hasOwnProperty(a)||(b[a]={});return b[a]},ol=function(a,b,c){nl(a)[b]=c},pl=function(a,b,c,d){var e=nl(a),f=Va(e,b,d);e[b]=c(f)},ql=function(a,b,c){var d=nl(a);return Va(d,b,c)};var rl=!1,sl=[];function tl(){if(!rl){rl=!0;for(var a=0;a<sl.length;a++)H(sl[a])}}var ul=function(a){rl?H(a):sl.push(a)};var vl="HA GF G UA AW DC".split(" "),wl=!1,xl={},yl=!1;function zl(a,b){var c={event:a};b&&(c.eventModel=g(b),b[m.Tc]&&(c.eventCallback=b[m.Tc]),b[m.Zb]&&(c.eventTimeout=b[m.Zb]));return c}function Al(){return wl}
var Dl={config:function(a){var b;return b},consent:function(a){function b(){Al()&&
g(a[2],{subcommand:a[1]})}if(3===a.length){B(39);var c=Ye(),d=a[1];"default"===d?(b(),Nd(a[2])):"update"===d&&(b(),Od(a[2],c))}},event:function(a){var b=a[1];if(!(2>a.length)&&za(b)){var c;if(2<a.length){if(!kb(a[2])&&void 0!=a[2]||3<a.length)return;c=a[2]}var d=zl(b,c);return d}},get:function(a){},js:function(a){if(2==a.length&&a[1].getTime)return yl=!0,Al(),{event:"gtm.js","gtm.start":a[1].getTime()}},policy:function(){},set:function(a){var b;2==a.length&&kb(a[1])?b=g(a[1]):3==a.length&&za(a[1])&&(b={},kb(a[2])||Ca(a[2])?b[a[1]]=g(a[2]):b[a[1]]=a[2]);if(b){b._clear=!0;return b}}},El={policy:!0};var Fl=function(a,b){var c=a.hide;if(c&&void 0!==c[b]&&c.end){c[b]=!1;var d=!0,e;for(e in c)if(c.hasOwnProperty(e)&&!0===c[e]){d=!1;break}d&&(c.end(),c.end=null)}},Hl=function(a){var b=Gl(),c=b&&b.hide;c&&c.end&&(c[a]=!0)};var $l=function(a){if(Xl(a))return a;this.m=a};$l.prototype.rh=function(){return this.m};var Xl=function(a){return!a||"object"!==gb(a)||kb(a)?!1:"getUntrustedUpdateValue"in a};$l.prototype.getUntrustedUpdateValue=$l.prototype.rh;var am=[];var dm=!1,em=function(a){return D["dataLayer"].push(a)},fm=function(a){var b=I["dataLayer"],c=b?b.subscribers:1,d=0;return function(){++d===c&&a()}};
function gm(a){var b=a._clear;Ja(a,function(d,e){"_clear"!==d&&(b&&gf(d,void 0),gf(d,e))});Te||(Te=a["gtm.start"]);var c=a["gtm.uniqueEventId"];if(!a.event)return!1;c||(c=Ye(),a["gtm.uniqueEventId"]=c,gf("gtm.uniqueEventId",c));return Zi(a)}function hm(){var a=am[0];if(null==a||"object"!==typeof a)return!1;if(a.event)return!0;if(Ka(a)){var b=a[0];if("config"===b||"event"===b||"js"===b)return!0}return!1}
function im(){for(var a=!1;!dm&&0<am.length;){
dm=!0;delete af.eventModel;cf();var d=am.shift();if(null!=d){var e=Xl(d);if(e){var f=d;d=Xl(f)?f.getUntrustedUpdateValue():void 0;for(var h=["gtm.allowlist","gtm.blocklist","gtm.whitelist","gtm.blacklist","tagTypeBlacklist"],k=0;k<h.length;k++){var l=h[k],q=df(l,1);if(Ca(q)||kb(q))q=g(q);bf[l]=q}}try{if(ya(d))try{d.call(ef)}catch(y){}else if(Ca(d)){var r=d;if(za(r[0])){var n=r[0].split("."),t=n.pop(),p=r.slice(1),u=df(n.join("."),2);if(void 0!==u&&null!==u)try{u[t].apply(u,p)}catch(y){}}}else{if(Ka(d)){a:{var v=
d;if(v.length&&za(v[0])){var w=Dl[v[0]];if(w&&(!e||!El[v[0]])){d=w(v);break a}}d=void 0}if(!d){dm=!1;continue}}a=gm(d)||a}}finally{e&&cf(!0)}}dm=!1}return!a}function jm(){var a=im();try{Fl(D["dataLayer"],Le.D)}catch(b){}return a}
var lm=function(){var a=jd("dataLayer",[]),b=jd("google_tag_manager",{});b=b["dataLayer"]=b["dataLayer"]||{};Oh(function(){b.gtmDom||(b.gtmDom=!0,a.push({event:"gtm.dom"}))});ul(function(){b.gtmLoad||(b.gtmLoad=!0,a.push({event:"gtm.load"}))});b.subscribers=(b.subscribers||0)+1;var c=a.push;a.push=function(){var e;if(0<I.SANDBOXED_JS_SEMAPHORE){e=[];for(var f=0;f<arguments.length;f++)e[f]=new $l(arguments[f])}else e=[].slice.call(arguments,0);var h=c.apply(a,e);am.push.apply(am,e);if(300<
this.length)for(B(4);300<this.length;)this.shift();var k="boolean"!==typeof h||h;return im()&&k};var d=a.slice(0);am.push.apply(am,d);km()&&H(jm)},km=function(){var a=!0;return a};var mm={};mm.fc=new String("undefined");
var nm=function(a){this.m=function(b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]===mm.fc?b:a[d]);return c.join("")}};nm.prototype.toString=function(){return this.m("undefined")};nm.prototype.valueOf=nm.prototype.toString;mm.Bg=nm;mm.jd={};mm.bh=function(a){return new nm(a)};var om={};mm.Xh=function(a,b){var c=Ye();om[c]=[a,b];return c};mm.bf=function(a){var b=a?0:1;return function(c){var d=om[c];if(d&&"function"===typeof d[b])d[b]();om[c]=void 0}};mm.zh=function(a){for(var b=!1,c=!1,d=2;d<a.length;d++)b=
b||8===a[d],c=c||16===a[d];return b&&c};mm.Qh=function(a){if(a===mm.fc)return a;var b=Ye();mm.jd[b]=a;return'google_tag_manager["'+Le.D+'"].macro('+b+")"};mm.Jh=function(a,b,c){a instanceof mm.Bg&&(a=a.m(mm.Xh(b,c)),b=xa);return{vd:a,K:b}};var pm=["input","select","textarea"],qm=["button","hidden","image","reset","submit"],rm=function(a){var b=a.tagName.toLowerCase();return!Ea(pm,function(c){return c===b})||"input"===b&&Ea(qm,function(c){return c===a.type.toLowerCase()})?!1:!0},sm=function(a){return a.form?a.form.tagName?a.form:G.getElementById(a.form):ud(a,["form"],100)},tm=function(a,b,c){if(!a.elements)return 0;for(var d=b.getAttribute(c),e=0,f=1;e<a.elements.length;e++){var h=a.elements[e];if(rm(h)){if(h.getAttribute(c)===d)return f;
f++}}return 0};var um=!!D.MutationObserver,vm=void 0,wm=function(a){if(!vm){var b=function(){var c=G.body;if(c)if(um)(new MutationObserver(function(){for(var e=0;e<vm.length;e++)H(vm[e])})).observe(c,{childList:!0,subtree:!0});else{var d=!1;pd(c,"DOMNodeInserted",function(){d||(d=!0,H(function(){d=!1;for(var e=0;e<vm.length;e++)H(vm[e])}))})}};vm=[];G.body?b():H(b)}vm.push(a)};var Im=D.clearTimeout,Jm=D.setTimeout,M=function(a,b,c){if(bh()){b&&H(b)}else return ld(a,b,c)},Km=function(){return new Date},Lm=function(){return D.location.href},Mm=function(a){return me(oe(a),"fragment")},Nm=function(a){return ne(oe(a))},Om=function(a,b){return df(a,b||2)},Pm=function(a,b,c){var d;b?(a.eventCallback=b,c&&(a.eventTimeout=c),d=em(a)):d=em(a);return d},Qm=function(a,b){D[a]=b},P=function(a,b,c){b&&
(void 0===D[a]||c&&!D[a])&&(D[a]=b);return D[a]},Rm=function(a,b,c){return uf(a,b,void 0===c?!0:!!c)},Sm=function(a,b,c){return 0===Df(a,b,c)},Tm=function(a,b){if(bh()){b&&H(b)}else nd(a,b)},Um=function(a){return!!ql(a,"init",!1)},Vm=function(a){ol(a,"init",!0)},Wm=function(a,b){var c=(void 0===b?0:b)?"www.googletagmanager.com/gtag/js":Re;c+="?id="+encodeURIComponent(a)+"&l=dataLayer";M(dh("https://","http://",c))},Xm=function(a,
b){var c=a[b];return c},Ym=function(a,b,c){Gi&&(lb(a)||Ki(c,b,a))};
var Zm=mm.Jh;function wn(a,b){a=String(a);b=String(b);var c=a.length-b.length;return 0<=c&&a.indexOf(b,c)==c}var xn=new Ha;function yn(a,b){function c(h){var k=oe(h),l=me(k,"protocol"),q=me(k,"host",!0),r=me(k,"port"),n=me(k,"path").toLowerCase().replace(/\/$/,"");if(void 0===l||"http"==l&&"80"==r||"https"==l&&"443"==r)l="web",r="default";return[l,q,r,n]}for(var d=c(String(a)),e=c(String(b)),f=0;f<d.length;f++)if(d[f]!==e[f])return!1;return!0}
function zn(a){return An(a)?1:0}
function An(a){var b=a.arg0,c=a.arg1;if(a.any_of&&Ca(c)){for(var d=0;d<c.length;d++){var e=g(a,{});g({arg1:c[d],any_of:void 0},e);if(zn(e))return!0}return!1}switch(a["function"]){case "_cn":return 0<=String(b).indexOf(String(c));case "_css":var f;a:{if(b){var h=["matches","webkitMatchesSelector","mozMatchesSelector","msMatchesSelector","oMatchesSelector"];try{for(var k=0;k<h.length;k++)if(b[h[k]]){f=b[h[k]](c);break a}}catch(p){}}f=!1}return f;case "_ew":return wn(b,c);case "_eq":return String(b)==
String(c);case "_ge":return Number(b)>=Number(c);case "_gt":return Number(b)>Number(c);case "_lc":var l;l=String(b).split(",");return 0<=Da(l,String(c));case "_le":return Number(b)<=Number(c);case "_lt":return Number(b)<Number(c);case "_re":var q;var r=a.ignore_case?"i":void 0;try{var n=String(c)+r,t=xn.get(n);t||(t=new RegExp(c,r),xn.set(n,t));q=t.test(b)}catch(p){q=!1}return q;case "_sw":return 0==String(b).indexOf(String(c));case "_um":return yn(b,c)}return!1};var Bn=encodeURI,W=encodeURIComponent,Cn=od;var Dn=function(a,b){if(!a)return!1;var c=me(oe(a),"host");if(!c)return!1;for(var d=0;b&&d<b.length;d++){var e=b[d]&&b[d].toLowerCase();if(e){var f=c.length-e.length;0<f&&"."!=e.charAt(0)&&(f--,e="."+e);if(0<=f&&c.indexOf(e,f)==f)return!0}}return!1};
var En=function(a,b,c){for(var d={},e=!1,f=0;a&&f<a.length;f++)a[f]&&a[f].hasOwnProperty(b)&&a[f].hasOwnProperty(c)&&(d[a[f][b]]=a[f][c],e=!0);return e?d:null};var so=null,to=[],uo=0,vo=null;function wo(a){if(!D.MutationObserver)return!1;try{return so||(so=new MutationObserver(xo),so.observe(G.documentElement,{subtree:!0,childList:!0,attributes:!0,characterData:!0}),uo=Ta()),to.push(a),!0}catch(b){return!1}}function xo(){var a=Ta()-uo;0<=a?(vo&&(D.clearTimeout(vo),vo=null),yo()):vo||(vo=D.setTimeout(function(){yo();vo=null},0-a))}
function yo(){uo=Ta();var a=to;to=[];for(var b=ca(a),c=b.next();!c.done;c=b.next()){var d=c.value;d()}so&&(so.takeRecords(),to.length||(so&&(so.disconnect(),so=null),vo&&(D.clearTimeout(vo),vo=null)))};function kp(){return D.gaGlobal=D.gaGlobal||{}}var lp=function(){var a=kp();a.hid=a.hid||Fa();return a.hid},mp=function(a,b){var c=kp();if(void 0==c.vid||b&&!c.from_cookie)c.vid=a,c.from_cookie=b};var Up=window,Vp=document,Wp=function(a){var b=Up._gaUserPrefs;if(b&&b.ioo&&b.ioo()||a&&!0===Up["ga-disable-"+a])return!0;try{var c=Up.external;if(c&&c._gaUserPrefs&&"oo"==c._gaUserPrefs)return!0}catch(f){}for(var d=sf("AMP_TOKEN",String(Vp.cookie),!0),e=0;e<d.length;e++)if("$OPT_OUT"==d[e])return!0;return Vp.getElementById("__gaOptOutExtension")?!0:!1};var Xp={};function Zp(a){delete a.eventModel[m.xb];aq(a.eventModel)}
var aq=function(a){Ja(a,function(c){"_"===c.charAt(0)&&delete a[c]});var b=a[m.oa]||{};Ja(b,function(c){"_"===c.charAt(0)&&delete b[c]})};var dq=function(a,b,c){dl(b,c,a)},eq=function(a,b,c){dl(b,c,a,!0)},lq=function(a,b){};
function fq(a,b){}var Z={g:{}};


Z.g.e=["google"],function(){(function(a){Z.__e=a;Z.__e.h="e";Z.__e.i=!0;Z.__e.priorityOverride=0})(function(a){return String(jf(a.vtp_gtmEventId,"event"))})}();
Z.g.f=["google"],function(){(function(a){Z.__f=a;Z.__f.h="f";Z.__f.i=!0;Z.__f.priorityOverride=0})(function(a){var b=Om("gtm.referrer",1)||G.referrer;return b?a.vtp_component&&"URL"!=a.vtp_component?me(oe(String(b)),a.vtp_component,a.vtp_stripWww,a.vtp_defaultPages,a.vtp_queryKey):Nm(String(b)):String(b)})}();

Z.g.u=["google"],function(){var a=function(b){return{toString:function(){return b}}};(function(b){Z.__u=b;Z.__u.h="u";Z.__u.i=!0;Z.__u.priorityOverride=0})(function(b){var c;c=(c=b.vtp_customUrlSource?b.vtp_customUrlSource:Om("gtm.url",1))||Lm();var d=b[a("vtp_component")];if(!d||"URL"==d)return Nm(String(c));var e=oe(String(c)),f;if("QUERY"===d)a:{var h=b[a("vtp_multiQueryKeys").toString()],k=b[a("vtp_queryKey").toString()]||"",l=b[a("vtp_ignoreEmptyQueryParam").toString()],q;h?Ca(k)?q=k:q=String(k).replace(/\s+/g,
"").split(","):q=[String(k)];for(var r=0;r<q.length;r++){var n=me(e,"QUERY",void 0,void 0,q[r]);if(void 0!=n&&(!l||""!==n)){f=n;break a}}f=void 0}else f=me(e,d,"HOST"==d?b[a("vtp_stripWww")]:void 0,"PATH"==d?b[a("vtp_defaultPages")]:void 0,void 0);return f})}();
Z.g.ua=["google"],function(){function a(n){return Pd(n)}function b(n,t){if(Id()&&!e[n]){var p=function(){var u=bi(),v="gtm"+Ye(),w=q(t),y={name:v};l(w,y,!0);u("create",n,y);u(function(){u.remove(v)})};Ld(p,m.I);Ld(p,m.C);e[n]=!0}}var c,d={},e={},f={name:!0,clientId:!0,sampleRate:!0,siteSpeedSampleRate:!0,alwaysSendReferrer:!0,allowAnchor:!0,allowLinker:!0,cookieName:!0,cookieDomain:!0,cookieExpires:!0,cookiePath:!0,cookieUpdate:!0,cookieFlags:!0,legacyCookieDomain:!0,legacyHistoryImport:!0,storage:!0,
useAmpClientId:!0,storeGac:!0,_cd2l:!0,_useUp:!0,_cs:!0},h={allowAnchor:!0,allowLinker:!0,alwaysSendReferrer:!0,anonymizeIp:!0,cookieUpdate:!0,exFatal:!0,forceSSL:!0,javaEnabled:!0,legacyHistoryImport:!0,nonInteraction:!0,useAmpClientId:!0,useBeacon:!0,storeGac:!0,allowAdFeatures:!0,allowAdPersonalizationSignals:!0,_cd2l:!0},k={urlPassthrough:!0},l=function(n,t,p){var u=0;if(n)for(var v in n)if(!k[v]&&n.hasOwnProperty(v)&&(p&&f[v]||!p&&void 0===f[v])){var w=h[v]?Qa(n[v]):n[v];"anonymizeIp"!=v||w||
(w=void 0);t[v]=w;u++}return u},q=function(n){var t={};n.vtp_gaSettings&&g(En(n.vtp_gaSettings.vtp_fieldsToSet,"fieldName","value"),t);g(En(n.vtp_fieldsToSet,"fieldName","value"),t);Pd(m.I)||(t.storage="none");Pd(m.C)||(t.allowAdFeatures=!1,t.storeGac=!1);Ek()||(t.allowAdFeatures=!1);Dk()||(t.allowAdPersonalizationSignals=!1);n.vtp_transportUrl&&(t._x_19=n.vtp_transportUrl);
return t},r=function(n){function t(pa,U){void 0!==U&&F("set",pa,U)}var p={},u={},v={},w={};if(n.vtp_gaSettings){var y=n.vtp_gaSettings;g(En(y.vtp_contentGroup,"index","group"),u);g(En(y.vtp_dimension,"index","dimension"),v);g(En(y.vtp_metric,"index","metric"),w);var x=g(y);x.vtp_fieldsToSet=void 0;x.vtp_contentGroup=void 0;x.vtp_dimension=
void 0;x.vtp_metric=void 0;n=g(n,x)}g(En(n.vtp_contentGroup,"index","group"),u);g(En(n.vtp_dimension,"index","dimension"),v);g(En(n.vtp_metric,"index","metric"),w);var z=q(n),A=di(n.vtp_functionName);if(ya(A)){var C="",E="";n.vtp_setTrackerName&&"string"==typeof n.vtp_trackerName?""!==n.vtp_trackerName&&(E=n.vtp_trackerName,C=E+"."):(E="gtm"+Ye(),C=E+".");var F=function(pa){var U=[].slice.call(arguments,0);U[0]=C+U[0];A.apply(window,U)},L=function(pa,U){return void 0===U?U:pa(U)},N=function(pa,U){if(U)for(var Ma in U)U.hasOwnProperty(Ma)&&
F("set",pa+Ma,U[Ma])},V=function(){},X={name:E};l(z,X,!0);var ja=n.vtp_trackingId||p.trackingId;A("create",ja,X);F("set","&gtm",oj(!0));
Id()&&(F("set","&gcs",Qd()),b(ja,n));z._x_19&&(null==id&&delete z._x_19,z._x_20&&!d[E]&&(d[E]=!0,A(ii(E,String(z._x_20)))));n.vtp_enableRecaptcha&&F("require","recaptcha","recaptcha.js");(function(pa,U){void 0!==n[U]&&F("set",pa,n[U])})("nonInteraction","vtp_nonInteraction");N("contentGroup",u);N("dimension",v);N("metric",w);var K={};l(z,K,!1)&&F("set",K);var J;
n.vtp_enableLinkId&&F("require","linkid","linkid.js");F("set","hitCallback",function(){var pa=z&&z.hitCallback;ya(pa)&&pa();n.vtp_gtmOnSuccess()});if("TRACK_EVENT"==n.vtp_trackType){}else if("TRACK_SOCIAL"==n.vtp_trackType){}else if("TRACK_TRANSACTION"==n.vtp_trackType){}else if("TRACK_TIMING"==
n.vtp_trackType){}else if("DECORATE_LINK"==n.vtp_trackType){}else if("DECORATE_FORM"==n.vtp_trackType){}else if("TRACK_DATA"==n.vtp_trackType){}else{n.vtp_enableEcommerce&&(F("require","ec","ec.js"),V());if(n.vtp_doubleClick||"DISPLAY_FEATURES"==n.vtp_advertisingFeaturesType){var yb=
"_dc_gtm_"+String(n.vtp_trackingId).replace(/[^A-Za-z0-9-]/g,"");F("require","displayfeatures",void 0,{cookieName:yb})}if("DISPLAY_FEATURES_WITH_REMARKETING_LISTS"==n.vtp_advertisingFeaturesType){var ab="_dc_gtm_"+String(n.vtp_trackingId).replace(/[^A-Za-z0-9-]/g,"");F("require","adfeatures",{cookieName:ab})}J?F("send","pageview",J):F("send","pageview");Qa(z.urlPassthrough)&&fi(C)}if(!c){var hb=n.vtp_useDebugVersion?"u/analytics_debug.js":"analytics.js";n.vtp_useInternalVersion&&!n.vtp_useDebugVersion&&(hb="internal/"+hb);c=!0;var zb=aj(z._x_19,"/analytics.js"),Ab=dh("https:","http:","//www.google-analytics.com/"+hb,z&&!!z.forceSSL);M("analytics.js"===hb&&zb?zb:Ab,function(){var pa=bi();pa&&pa.loaded||n.vtp_gtmOnFailure();},
n.vtp_gtmOnFailure)}}else H(n.vtp_gtmOnFailure)};(function(n){Z.__ua=n;Z.__ua.h="ua";Z.__ua.i=!0;Z.__ua.priorityOverride=0})(function(n){Rd(function(){r(n)},[m.I,m.C])})}();







Z.g.gas=["google"],function(){(function(a){Z.__gas=a;Z.__gas.h="gas";Z.__gas.i=!0;Z.__gas.priorityOverride=0})(function(a){var b=g(a),c=b;c[$b.Na]=null;c[$b.sg]=null;var d=b=c;d.vtp_fieldsToSet=d.vtp_fieldsToSet||[];var e=d.vtp_cookieDomain;void 0!==e&&(d.vtp_fieldsToSet.push({fieldName:"cookieDomain",value:e}),delete d.vtp_cookieDomain);return b})}();
Z.g.awct=["google"],function(){var a=!1,b=[],c=function(h){var k=P("google_trackConversion"),l=h.gtm_onFailure;"function"==typeof k?k(h)||l():l()},d=function(){for(;0<b.length;)c(b.shift())},e=function(){return function(){d();a=!1}},f=function(){return function(){d();b={push:c};}};(function(h){Z.__awct=h;Z.__awct.h="awct";Z.__awct.i=!0;Z.__awct.priorityOverride=
0})(function(h){function k(y,x,z){return"DATA_LAYER"===y?Om(z):h[x]}function l(){u("gdpr_consent",Rj());}function q(){var y=[];return y}function r(y){var x=!0,z=[];y&&(z=q());x&&b.push(n)}Xh();var n={google_basket_transaction_type:"purchase",google_conversion_domain:"",google_conversion_id:h.vtp_conversionId,google_conversion_label:h.vtp_conversionLabel,google_conversion_value:h.vtp_conversionValue||0,google_remarketing_only:!1,onload_callback:h.vtp_gtmOnSuccess,
gtm_onFailure:h.vtp_gtmOnFailure,google_gtm:oj()};n.google_gtm_experiments={capi:!0};h.vtp_rdp&&(n.google_restricted_data_processing=!0);void 0!=Om(m.O)&&!1!==Om(m.O)&&(n.google_gtm_url_processor=function(y){return y=rh(y)});var t=function(y){return function(x,z,A){var C=k(y,z,A);C&&(n[x]=C)}},p=t("JSON");p("google_conversion_currency","vtp_currencyCode");p("google_conversion_order_id","vtp_orderId");
h.vtp_enableProductReporting&&(p=t(h.vtp_productReportingDataSource),p("google_conversion_merchant_id","vtp_awMerchantId","aw_merchant_id"),p("google_basket_feed_country","vtp_awFeedCountry","aw_feed_country"),p("google_basket_feed_language","vtp_awFeedLanguage","aw_feed_language"),p("google_basket_discount","vtp_discount","discount"),p("google_conversion_items","vtp_items","items"),n.google_conversion_items&&n.google_conversion_items.map&&(n.google_conversion_items=n.google_conversion_items.map(function(y){return{value:y.price,
quantity:y.quantity,item_id:y.id}})));var u=function(y,x){void 0!==x&&((n.google_additional_conversion_params=n.google_additional_conversion_params||{})[y]=x)},v=function(y){return function(x,z,A,C){var E=k(y,z,A);C(E)&&u(x,E)}};(function(){})();h.vtp_transportUrl&&(n.google_transport_url=h.vtp_transportUrl);var w=aj(h.vtp_transportUrl,"/pagead/conversion_async.js");w||(w=-1==navigator.userAgent.toLowerCase().indexOf("firefox")?"//www.googleadservices.com/pagead/conversion_async.js":"https://www.google.com/pagead/conversion_async.js");h.vtp_enableNewCustomerReporting&&(p=v(h.vtp_newCustomerReportingDataSource),p("vdnc",
"vtp_awNewCustomer","new_customer",function(y){return void 0!=y&&""!==y}),p("vdltv","vtp_awCustomerLTV","customer_lifetime_value",function(y){return void 0!=y&&""!==y}));!h.hasOwnProperty("vtp_enableConversionLinker")||h.vtp_enableConversionLinker?(h.vtp_conversionCookiePrefix&&(n.google_gcl_cookie_prefix=h.vtp_conversionCookiePrefix),n.google_read_gcl_cookie_opt_out=!1):n.google_read_gcl_cookie_opt_out=!0;"1"===mg(!1)._up&&u("gtm_up","1");l();(function(){Id()?Rd(function(){l();var y=Pd(m.C),x=!y&&
void 0!=Om(m.O)&&!1!==Om(m.O);!h.vtp_transportUrl&&x&&(n.google_transport_url="https://pagead2.googlesyndication.com/");u("gcs",Qd());r(y);y||Ld(function(){l();n=g(n);!h.vtp_transportUrl&&n.google_transport_url&&delete n.google_transport_url;u("gcs",Qd());u("gcu","1");r(!0)},m.C)},[m.C]):r(!0)})();a||(a=!0,M(w,f(),e(w)))})}();






Z.g.html=["customScripts"],function(){function a(d,e,f,h){return function(){try{if(0<e.length){var k=e.shift(),l=a(d,e,f,h);if("SCRIPT"==String(k.nodeName).toUpperCase()&&"text/gtmscript"==k.type){var q=G.createElement("script");q.async=!1;q.type="text/javascript";q.id=k.id;q.text=k.text||k.textContent||k.innerHTML||"";k.charset&&(q.charset=k.charset);var r=k.getAttribute("data-gtmsrc");r&&(q.src=r,kd(q,l));d.insertBefore(q,null);r||l()}else if(k.innerHTML&&0<=k.innerHTML.toLowerCase().indexOf("<script")){for(var n=
[];k.firstChild;)n.push(k.removeChild(k.firstChild));d.insertBefore(k,null);a(k,n,l,h)()}else d.insertBefore(k,null),l()}else f()}catch(t){H(h)}}}var b=function(d,e,f){Oh(function(){var h=I.postscribe,k={done:e},l=G.createElement("div");l.style.display="none";l.style.visibility="hidden";G.body.appendChild(l);try{h(l,d,k)}catch(q){H(f)}})};var c=function(d){if(G.body){var e=d.vtp_gtmOnFailure,f=Zm(d.vtp_html,d.vtp_gtmOnSuccess,
e),h=f.vd,k=f.K;if(d.vtp_useIframe){}else d.vtp_supportDocumentWrite?b(h,k,e):a(G.body,td(h),k,e)()}else Jm(function(){c(d)},200)};Z.__html=c;Z.__html.h="html";Z.__html.i=
!0;Z.__html.priorityOverride=0}();








var mq={};mq.macro=function(a){if(mm.jd.hasOwnProperty(a))return mm.jd[a]},mq.onHtmlSuccess=mm.bf(!0),mq.onHtmlFailure=mm.bf(!1);mq.dataLayer=ef;mq.callback=function(a){We.hasOwnProperty(a)&&ya(We[a])&&We[a]();delete We[a]};mq.bootstrap=0;mq._spx=!1;function nq(){I[Le.D]=mq;$a(Xe,Z.g);Tb=Tb||mm;Ub=ec}
function oq(){xd.gtm_3pds=!0;xd.gtag_cs_api=!0;I=D.google_tag_manager=D.google_tag_manager||{};Pj();if(I[Le.D]){var a=I.zones;a&&a.unregisterChild(Le.D);}else{for(var b=data.resource||{},c=b.macros||[],d=
0;d<c.length;d++)Mb.push(c[d]);for(var e=b.tags||[],f=0;f<e.length;f++)Pb.push(e[f]);for(var h=b.predicates||[],k=0;k<h.length;k++)Ob.push(h[k]);for(var l=b.rules||[],q=0;q<l.length;q++){for(var r=l[q],n={},t=0;t<r.length;t++)n[r[t][0]]=Array.prototype.slice.call(r[t],1);Nb.push(n)}Rb=Z;Sb=zn;nq();lm();Jh=!1;Kh=0;if("interactive"==G.readyState&&!G.createEventObject||"complete"==G.readyState)Mh();else{pd(G,"DOMContentLoaded",Mh);pd(G,"readystatechange",Mh);if(G.createEventObject&&G.documentElement.doScroll){var p=
!0;try{p=!D.frameElement}catch(x){}p&&Nh()}pd(D,"load",Mh)}rl=!1;"complete"===G.readyState?tl():pd(D,"load",tl);a:{if(!Gi)break a;D.setInterval(Hi,864E5);}var y=I;y.postscribe||(y.postscribe=D.postscribe||Ec);Ue=(new Date).getTime();}}
(function(a){var e=!0;
e=!1;if(e){a();return}var f=function(){var q=D["google.tagmanager.debugui2.queue"];q||(q=[],D["google.tagmanager.debugui2.queue"]=q,ld("https://www.googletagmanager.com/debug/bootstrap"));return q},h="x"===me(D.location,"query",
!1,void 0,"gtm_debug");if(!h&&G.referrer){var k=oe(G.referrer);h="tagassistant.google.com"===le(k,"host")}if(!h){var l=uf("__TAG_ASSISTANT");h=l.length&&l[0].length}D.__TAG_ASSISTANT_API&&(h=!0);if(h&&id){f().push({messageType:"CONTAINER_STARTING",data:{scriptSource:id,resume:function(){a()}}});return}a()})(oq);

})()
